<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************




'Set the response buffer to true
Response.Buffer = True 


'Admin Only in this section 
Call adminUser()

'Super admin ONLY kick everyone else
Call superAdminUser()



Dim intNoOfDays			'Holds the number of days to delete posts from
Dim lngDelMemberID
Dim lngNoMemDeleted


'If this is a postback delete accounts
If Request.Form("postBack") Then
	
	'If in demo mode redirect
	If blnDemoMode Then
		Call closeDatabase()
		Response.Redirect("admin_webwiznewspad_premium.asp")
	End If
	
	lngNoMemDeleted = 0
	
	'get the number of days to delete from
	intNoOfDays = CInt(Request.Form("days"))

	'Initalise the strSQL variable with an SQL statement to get the topic from the database
	strSQL = "SELECT * FROM " & strDbTable & "Members "
	strSQL = strSQL & "WHERE " & strDbTable & "Members.Join_Date < " & strDatabaseDateFunction & " - " & intNoOfDays  & " "
	If strDatabaseType = "SQLServer" Then
		strSQL = strSQL & " AND " & strDbTable & "Members.Active = 0"
	Else
		strSQL = strSQL & " AND " & strDbTable & "Members.Active = False"
	End If
	strSQL = strSQL & ";"
	
	'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
	rsCommon.CursorType = 2
	
	'Set set the lock type of the recordset to optomistic while the record is deleted
	rsCommon.LockType = 3
	
	
	'Query the database
	rsCommon.Open strSQL, adoCon
	
	'Loop through all the members to delete
	Do While NOT rsCommon.EOF

		'Get the author ID
		lngDelMemberID = CLng(rsCommon("Mail_ID"))
		
		'Delete the user from mem cat table
		strSQL = "DELETE FROM " & strDbTable & "MemCat WHERE Mail_ID ="  & lngDelMemberID & ";"

		'Execute SQL
		adoCon.Execute(strSQL)	
		
		'Delete RS
		rsCommon.Delete
		
		'Move next record
		rsCommon.MoveNext
		
		'Total number of member deleted
		lngNoMemDeleted = lngNoMemDeleted + 1
	Loop
	
End If



'Reset Server Objects
Call closeDatabase()
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="copyright" content="Copyright (C) 2001-2007 Web Wiz" />
<title>Remove Un-activated NewsPad Subscribers</title>
<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write("<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->")
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>
<link href="<% = strCSSfile %>default_style.css" rel="stylesheet" type="text/css">
</head>
<body>
<!-- #include file="includes/admin_header_inc.asp" -->
<h1>Remove Un-activated NewsPad Subscribers</h1>
  <a href="admin_menu.asp" target="_self">Return to the the Admin Control Panel Menu</a><br />
  <br />
  <span class="text">This option allows you to delete the accounts of those subscribers that never activated their account using the email activation opt-in check. </span><br />
 <br /><%

'If post back tell the number of members deleted
If Request.Form("postBack") Then
	
	Response.Write("<br /><span class=""lgText"">" & lngNoMemDeleted & " Un-active member(s) have been removed from the database.</span><br /><br />")

End If

%>
<form action="admin_delete_unactivated_accounts.asp" method="post" name="frmDelete" id="frmDelete" onsubmit="return confirm('Are you sure you want to delete these Un-activated accounts?')">
 <table border="0" align="center" cellpadding="4" cellspacing="1" class="tableBorder" style="width:400px;">
  <tr bgcolor="#CCCEE6" >
   <td height="2" align="left" class="tableLedger">Remove Un-activated Subscriber Accounts older than </td>
  </tr>
  <tr>
   <td  height="12" align="left" class="tableRow"><select name="days">
     <option value="0">Now</option>
     <option value="7">1 Week</option>
     <option value="14" selected="selected">2 Weeks</option>
     <option value="31">1 Month</option>
     <option value="62">2 Months</option>
     <option value="124">4 Months</option>
     <option value="182">6 Months</option>
     <option value="279">9 Months</option>
     <option value="365">1 Year</option>
     <option value="730">2 Years</option>
    </select>
   </td>
  </tr>
 </table>
<br />
  <input name="postBack" type="hidden" id="postBack" value="true" />
  <input type="submit" name="Submit" value="Delete Members" />
</form>
<br />
<!-- #include file="includes/admin_footer_inc.asp" -->