<% @ Language=VBScript %>
<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************



'Set the response buffer to true as we maybe redirecting
Response.Buffer = True



'Admin Only in this section 
Call adminUser()

'Super admin ONLY kick everyone else
Call superAdminUser()



'Dimension variables
Dim rsSelectForum		'Holds the db recordset
Dim strBlockEmail		'Holds the Email address to block
Dim strBlockedEmailList		'Holds the Email addresses in the blocked list
Dim lngBlockedEmailID		'Holds the ID number of the blcoked db record
Dim laryCheckedEmailAddrID	'Holds the array of Email addresses to be ditched




'Run through till all checked Email addresses are deleted
For each laryCheckedEmailAddrID in Request.Form("chkDelete")


	'Here we use the less effiecient ADO to delete from the database this way we can throw in a requery while we wait for slow old MS Access to catch up

	'Delete the Email address from the database	
	strSQL = "SELECT * FROM " & strDbTable & "EmailBanList WHERE " & strDbTable & "EmailBanList.Email_ID="  & laryCheckedEmailAddrID & ";"
	
	With rsCommon		
		'Set the cursor	type property of the record set	to Dynamic so we can navigate through the record set
		.CursorType = 2
		
		'Set the Lock Type for the records so that the record set is only locked when it is updated
		.LockType = 3
		
		'Query the database
		.Open strSQL, adoCon
		
		'Delete from the db
		If NOT .EOF Then .Delete
		
		'Requery
		.Requery
		
		'Close the recordset
		.Close
	End With
	
Next



'Read in all the blocked Email address from the database

'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT " & strDbTable & "EmailBanList.Email_ID, " & strDbTable & "EmailBanList.Email FROM " & strDbTable & "EmailBanList WHERE " & strDbTable & "EmailBanList.Email Is Not Null;"

'Set the cursor	type property of the record set	to Dynamic so we can navigate through the record set
rsCommon.CursorType = 2

'Set the Lock Type for the records so that the record set is only locked when it is updated
rsCommon.LockType = 3

'Query the database
rsCommon.Open strSQL, adoCon



'If this is a post back then  update the database
If Request.Form("postBack") Then

	'Read in the Email address to block
	strBlockEmail = Trim(Mid(Request.Form("Email"), 1, 30))

	'Update the recordset
	With rsCommon
		If blnDemoMode = False Then
			.AddNew
	
			'Update	the recorset
			.Fields("Email") = strBlockEmail
	
			'Update db
			.Update
		End If
		
		'Re-run the query as access needs time to catch up
		.ReQuery

	End With
End If

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="copyright" content="Copyright (C) 2001-2007 Web Wiz" />
<title>Email Address Blocking</title>
<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write("<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->")
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>
<script language="JavaScript" type="text/javascript">

//Function to check form is filled in correctly before submitting
function CheckForm () {

	//Check for an Email address
	if (document.frmEmailadd.Email.value==""){
		alert("Please enter an Email address or domain");
		document.frmEmailadd.Email.focus();
		return false;
	}

	return true;
}
</script>
<link href="<% = strCSSfile %>default_style.css" rel="stylesheet" type="text/css">
</head>
<body>
<!-- #include file="includes/admin_header_inc.asp" -->
<h1>Email Address Blocking</h1>
 <a href="admin_menu.asp" target="_self">Return to the the Admin Control Panel Menu</a><br />
 <br />
 <span class="text">From here you can Block email addresses or email domains from joining NewsPad. <br />
 <br />
 This is sometimes useful as some free email organisations like Hotmail, Yahoo, etc. will blacklist you if you send any type of bulk email to their members. <br />
 <br />
 Email domains can be blocked, eg. *@hotmail.com would stop anyone with a hotmail email address from registering on the board with that email address.</span><br />
<br />
<form action="admin_email_domain_blocking.asp" method="post" name="frmEmailList" id="frmEmailList">
 <table width="100%" border="0" align="center" cellpadding="4" cellspacing="1" class="tableBorder" style="width:500px;">
  <tr align="left">
   <td colspan="2" class="tableLedger">Blocked Email Address List</td>
  </tr>
  <%
'Display the Email blcok list
If rsCommon.EOF Then 
		
	'Disply no entires forun
	Response.Write("<td colspan=""2"" align=""center"" class=""tableRow"">You have no blocked email addresses</td>")
	
'Else disply the Email block list
Else
	
	'Loop through the recordset
	Do While NOT rsCommon.EOF
	
     		'Read in the topic details
     		lngBlockedEmailID = CLng(rsCommon("Email_ID"))
		strBlockedEmailList = rsCommon("Email")
     
     %>
  <tr>
   <td width="3%" class="tableRow"><input type="checkbox" name="chkDelete" value="<% = lngBlockedEmailID %>" /></td>
   <td class="tableRow"><% = strBlockedEmailList %></td>
  </tr>
  <%
     

		'Move to the next record in the recordset
		rsCommon.MoveNext
	Loop
End If

'Reset Server Objects
rsCommon.Close
Call closeDatabase()
%>
  <tr align="center">
   <td colspan="2" valign="top" class="tableBottomRow" ><input type="submit" name="Submit" value="Remove Email Address or Range" />
   </td>
  </tr>
 </table>
 <br />
 <br />
</form>
<form action="admin_email_domain_blocking.asp" method="post" name="frmEmailadd" id="frmEmailadd" onsubmit="return CheckForm();">
 <table border="0" align="center" cellpadding="4" cellspacing="1" class="tableBorder" style="width:500px;">
  <tr align="left">
   <td colspan="2" class="tableLedger"> Block Email Address or Domain</td>
  </tr>
  <tr class="tableRow">
   <td colspan="2" align="center" class="smText"> The * wildcard character can be used to block email domains. <br />
    eg. To block users with a yahoo.com email address you would use. eg. *@yahoo.com</td>
  </tr>
  <tr>
   <td width="191" align="right" class="tableRow"> Email Address or domain:</td>
   <td width="240" class="tableRow"><input name="Email" type="text" id="Email" size="25" maxlength="50"<% If blnDemoMode Then Response.Write(" disabled=""disabled""") %> /></td>
  </tr>
  <tr align="center">
   <td colspan="2" valign="top" class="tableBottomRow"><input type="hidden" name="postBack" value="True" />
    <input type="submit" name="Submit" value="Block Email Address or Range" />
   </td>
  </tr>
 </table>
</form>
<!-- #include file="includes/admin_footer_inc.asp" -->