<% @ Language=VBScript %>
<% Option Explicit %>
<!--#include file="common.asp" -->
<!--#include file="functions/functions_hash1way.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************



'Set the script timeout to 5 hours incase there are lots of emails addresses to import
Server.ScriptTimeout = 2000000000 'secounds

'If in demo mode redirect
If blnDemoMode Then
	Call closeDatabase()
	Response.Redirect("admin_webwiznewspad_premium.asp")
End If


'Set the response buffer to true as we maybe redirecting
Response.Buffer = False 



'Admin Only in this section 
Call adminUser()

'Super admin ONLY kick everyone else
Call superAdminUser()






'Global variables
Dim lngTotalProcessed		'Counts the number of records processed




'******************************************
'***  	  Import form CSV file	       ****
'******************************************

'Sub procedure to read in the subscribers froma  csv or text file
Public Sub GetCsvSubscribers()
	
	Dim objFSO			'Holds the file system object
	Dim objFSOstream		'Holds the File for streaming
	Dim sarryCsvFile		'An array holding the CSV file
	Dim sarryCsvFileLine		'An array holding each line of the CSV file
	Dim strCsvFile			'Holds the db location
	Dim lngCsvFileLoopCounter	'Loop counter to loop through the csv file
	Dim blnEncryptedPasswords	'Holds if passwords should be encrypted
	Dim lngMemberImportCount	'Counts the number of members imported
	Dim lngMemberAlreadyImported	'Counts the number of members already imported
	Dim lngMemberNoEmail		'Counts the number of members with no email address
	Dim strEmail			'Holds the email address of the user
	Dim strName			'Holds the name of the user
	Dim strPassword			'Holds thepassword for the user
	Dim strSaltValue		'Holds the salt value
	Dim strUserCode			'Holds a user code for the user
	Dim blnEmailExists		'Set to true if the email address is already in the database
	Dim blnEmailOK			'Set to true if the email address is valid
	Dim lngMemberID			'Holds the id number of the new user
	Dim blnHTMLformat		'Holds the email format
	Dim laryCatID			'Holds the cat ID
	Dim lngTotalRecords		'Holds the total number of record to process
	Dim blnUserCodeOK
	
	
	
	'Initilise variables
	lngMemberImportCount = 0
	lngMemberAlreadyImported = 0
	lngMemberNoEmail = 0
	lngTotalProcessed = 0
	blnEmailOK = True
	blnEmailExists = false

	
	
	
	'Read in the form details
	strCsvFile = Request.Form("source")
	blnEncryptedPasswords = blnEncryptPasswords
	blnHTMLformat = CBool(Request.Form("HTMLformat"))
	
	
	'Read in the CSV source file
	
	'Create an instance of the FSO
	Set objFSO = CreateObject("Scripting.fileSystemObject")
	
	'Set error trapping
	On Error Resume Next
	
	'Open a file for reading
	Set objFSOstream = objFSO.OpenTextfile(Server.MapPath("csv_import/" & strCsvFile), 1, false)
	
	'If an error has occurred while connecting to database let the user know
	If Err.Number <> 0 Then
		
		Response.Write("<script language=""JavaScript"">" & _
		vbCrLf & "	document.getElementById('displayState').innerHTML = 'CSV/Text import process stopped. See detailed error message below.';" & _
		vbCrLf & "	document.getElementById('errMsg').value = document.getElementById('errMsg').value +  'Error opening file \'" & strCsvFile & "\',\nError: " & errorDescription(err.description) & "\n';" & _
		vbCrLf & "</script>")
		
		Call closeDatabase()
		
		Response.Flush
		Response.End
	End If
		
	'Disable error trapping
	On Error goto 0
	
	'First count the number of line to process
	sarryCsvFile = Split(objFSOstream.ReadAll(), Chr(10)) 
   
   	'Get the number of lines to process 
   	lngTotalRecords = UBound(sarryCsvFile) + 1
		
	'Display on page number of subscribers to import
	Response.Write("<script language=""JavaScript"">" & _
	vbCrLf & "	document.getElementById('displayState').innerHTML = 'Initialising CSV/Text import process...';" & _
	vbCrLf & "	document.getElementById('subscribers').innerHTML = '" & lngTotalRecords & "';" & _
	vbCrLf & "</script>")
	
	
	
	'Loop through recordset
	For lngCsvFileLoopCounter = 0 To (lngTotalRecords - 1)
	
		'Initilise variables
		blnEmailOK = True
		blnEmailExists = false
		strEmail = ""
		strName = ""
		blnUserCodeOK = false
		
		'Count the number of files processed
		lngTotalProcessed = lngTotalProcessed + 1
		
		'Check to see if there is a comma before reading in data
		If InStr(sarryCsvFile(lngCsvFileLoopCounter), ",") Then
		
			'Read in the CSV file line into an array
			sarryCsvFileLine = Split(sarryCsvFile(lngCsvFileLoopCounter), ",")
			
		
			'Read in the details from the file
			strName = sarryCsvFileLine(0)
			If strName <> "" Then strName = removeAllTags(strName)
			strEmail = LCase(sarryCsvFileLine(1))
			If strEmail <> "" Then strEmail = Trim(characterStrip(strEmail))
		End If
		
		
		'If no email address for user display message
		If strEmail = "" Then
			
			lngMemberNoEmail = lngMemberNoEmail + 1
		
	
		'Run if email address is returned	
		Else
			
			'Create a unqiue user code
			DO WHILE blnUserCodeOK = False
				'Create user code
				strUserCode = hexValue(32)
				
				'Check if user code exsits
				blnUserCodeOK = checkUserCode(strUserCode)
			Loop
			
			
			'Initalise the strSQL variable with an SQL statement to query the database
			strSQL = "SELECT " & strDbTable & "Members.* " & _
				"FROM " & strDbTable & "Members " & _
				"WHERE " & strDbTable & "Members.Email = '" & strEmail & "';"
				
			
			
			With rsCommon
			
				'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
				.CursorType = 2
						
				'Set the Lock Type for the records so that the record set is only locked when it is updated
				.LockType = 3
						
				'Query the database
				.Open strSQL, adoCon
				
				'If a record is returned this email address is already in the database
				If NOT .EOF Then 
					blnEmailExists = true
					
					'Increment the already imported number
					lngMemberAlreadyImported = lngMemberAlreadyImported + 1
				End If
				
				
				
				'If the email doesn't already exsist then enter the email into the database
				If blnEmailExists = False Then
					
					
					'Create password
					strPassword = hexValue(7)
						
					'If the passowrds need to be encrypted then create a slat value and encrypt passords
					If blnEncryptedPasswords Then
						
						'generate a salt value
						strSaltValue = hexValue(8)
						
						'Concatenate salt value to the password
				                strPassword = strPassword & strSaltValue
								
						'Encrypt the  password
						strPassword = HashEncode(strPassword & strSaltValue)
					End If
					
					
						
					'Add new record to a new recorset
					.AddNew
					
					'Set database fields
					.Fields("Email") = Trim(Mid(strEmail, 1, 50))
					.Fields("Password") = strPassword
					If blnEncryptPasswords Then .Fields("Salt") = strSaltValue
					.Fields("ID_Code") = strUserCode
					.Fields("Join_Date") = internationalDateTime(Now())
					.Fields("HTML_format") = blnHTMLformat
					.Fields("Active") = True
					
					If strName <> "" Then .Fields("Name") = Trim(Mid(strName, 1, 25))
					
						
					'Update the database
					.Update
					
					
					'Requery database to get the new id number
					.Requery
					
					'Get the id number
					lngMemberID = CLng(.fields("Mail_ID"))	
					
					
					'Increment the number of users imported by 1
					lngMemberImportCount = lngMemberImportCount + 1
					
				End If
				
				'Close rs
				.Close
			End With
			
			
			'If the email doesn't already exsist then enter the category details into the database
			If blnEmailExists = False Then
					
				'Add the category details to the database
				For each laryCatID in Request.Form("catID")
					
					'Add cat choices
					strSQL = "INSERT INTO " & strDbTable & "MemCat " & _
					"("  & _
					"Mail_ID, " & _
					"Cat_ID " & _
					") " & _
					"VALUES " & _
					"('" & lngMemberID & "', " & _
					"'" & CLng(laryCatID) & "' " & _
					")" 
					
					'Write to database 
					adoCon.Execute(strSQL) 
				Next
			End If
		End If
		
		'Display on page number of subscribers to import
		Response.Write(vbCrLf & "<script language=""JavaScript"">" & _
		vbCrLf & "	document.getElementById('displayState').innerHTML = 'Importing subscriber...';" & _			
		vbCrLf & "	document.getElementById('imported').innerHTML = '" & lngMemberImportCount & "';" & _
		vbCrLf & "	document.getElementById('done').innerHTML = '" & lngMemberAlreadyImported & "';" & _
		vbCrLf & "	document.getElementById('noemail').innerHTML = '" & lngMemberNoEmail & "';" & _
		vbCrLf & "	document.getElementById('total').innerHTML = '" & lngTotalProcessed & "';" & _
		vbCrLf & "	document.getElementById('progress').innerHTML = '" & percentageCalculate(lngTotalProcessed, lngTotalRecords, 0) & "';" & _
		vbCrLf & "	document.getElementById('progressBar').style.width = '" & percentageCalculate(lngTotalProcessed, lngTotalRecords, 3) & "';" & _
		vbCrLf & "</script>")
	Next
	
	
	'Display on page number of subscribers to import
	Response.Write("<script language=""JavaScript"">" & _
	vbCrLf & "	document.getElementById('displayState').innerHTML = 'CSV/Text Import process complete.';" & _
	vbCrLf & "</script>")

End Sub





'******************************************
'***  	  Import form DB	       ****
'******************************************

'Sub procedure to read in the database subscribers
Public Sub GetDbSubscribers()
	
	Dim adoImportCon 		'Database Connection Variable
	Dim strImportCon		'Holds the connection details to db
	Dim rsImport			'Holds the imported db recordset
	Dim strDBType			'Holds the database type to import
	Dim strDatabaseLocation		'Holds the db location
	Dim strDatabasePassword		'Holds the db password
	Dim strDatabaseUsername		'Holds the db username
	Dim strDatabaseServer		'Holds the db server name or IP
	Dim strDatabaseName		'Holds the db database name
	Dim strDatabaseTableName	'Holds the database Table name
	Dim strDatabaseEmailField	'Holds the db email field name
	Dim strDatabaseNameField	'Holds the db member name field name
	Dim strDatabasePasswordField	'Holds the db password field name
	Dim blnEncryptedPasswords	'Holds if passwords should be encrypted
	Dim strDatabasePathType		'Holds the db path type to database
	Dim lngMemberImportCount	'Counts the number of members imported
	Dim lngMemberAlreadyImported	'Counts the number of members already imported
	Dim lngMemberNoEmail		'Counts the number of members with no email address
	Dim strEmail			'Holds the email address of the user
	Dim strName			'Holds the name of the user
	Dim strPassword			'Holds thepassword for the user
	Dim strSaltValue		'Holds the salt value
	Dim strUserCode			'Holds a user code for the user
	Dim blnEmailExists		'Set to true if the email address is already in the database
	Dim blnEmailOK			'Set to true if the email address is valid
	Dim lngMemberID			'Holds the id number of the new user
	Dim blnHTMLformat		'Holds the email format
	Dim laryCatID			'Holds the cat ID
	Dim lngTotalRecords
	Dim strDatabaseCompany
	Dim strDatabaseAdd1
	Dim strDatabaseAdd2
	Dim strDatabaseTown
	Dim strDatabaseCounty
	Dim strDatabaseCountry
	Dim strDatabaseZip
	Dim strCompany
	Dim strAdd1
	Dim strAdd2
	Dim strTown
	Dim strCounty
	Dim strCountry
	Dim strZip
	Dim strErrorFieldName
	Dim blnUserCodeOK
	
	
	
	'Initilise variables
	lngMemberImportCount = 0
	lngMemberAlreadyImported = 0
	lngMemberNoEmail = 0
	lngTotalProcessed = 0
	blnEmailOK = True
	blnEmailExists = false
	
	
	
	
	'Read in the form details
	strDBType = Request.Form("dbType")
	strDatabaseLocation = Request.Form("location")
	strDatabasePathType = Request.Form("locType")
	strDatabaseUsername = Request.Form("username")
	strDatabasePassword = Request.Form("password")
	strDatabaseServer = Request.Form("dbServerIP")
	strDatabaseName = Request.Form("dbName")
	strDatabaseTableName = Request.Form("tableName")
	strDatabaseEmailField = Request.Form("emailField")
	strDatabaseNameField = Request.Form("nameField")
	strDatabasePasswordField = Request.Form("passwordField")
	blnEncryptedPasswords = CBool(Request.Form("encrypt"))
	blnHTMLformat = CBool(Request.Form("HTMLformat"))
	strDatabaseCompany = Request.Form("Company")
	strDatabaseAdd1 = Request.Form("add1")
	strDatabaseAdd2 = Request.Form("add2")
	strDatabaseTown = Request.Form("Town")
	strDatabaseCounty = Request.Form("County")
	strDatabaseCountry = Request.Form("Country")
	strDatabaseZip = Request.Form("zip")
	
	
	'Create a connection odject
	Set adoImportCon = Server.CreateObject("ADODB.Connection")
	
	'If this is an access database then setup the database connection
	If strDBType = "access" OR strDBType = "access97" Then
		
		'If this is a path from the application to the database use the mapPath method
		If strDatabasePathType = "virtual" Then strDatabaseLocation = Server.MapPath(strDatabaseLocation)   
		
		
		'If a username and password are required then pass them across (uses slower generic db access driver
		If strDatabasePassword <> "" OR strDatabaseUsername <> "" Then
		
			strImportCon = "DRIVER={Microsoft Access Driver (*.mdb)};uid=" & strDatabaseUsername & ";pwd=" & strDatabasePassword & "; DBQ=" & strDatabaseLocation & "/" & strDatabaseName
		
		
		'If this is access 97 then use the jet3 db driver
		ElseIf strDBType = "access97" Then 
			
			strImportCon = "Provider=Microsoft.Jet.OLEDB.3.51; Data Source=" & strDatabaseLocation & "/" & strDatabaseName
		
		'Else use the jet 4 driver
		Else
			strImportCon = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" & strDatabaseLocation & "/" & strDatabaseName
		End If
	
	
	'Else if this is MS SQL server then setup db connection string
	ElseIf strDBType = "SQLServer" Then 
	
		'MS SQL Server OLE Driver
		strImportCon = "Provider=SQLOLEDB;Server=" & strDatabaseServer & ";User ID=" & strDatabaseUsername & ";Password=" & strDatabasePassword & ";Database=" & strDatabaseName & ";"
	
	'Else if this is mySQL then setup db connection string
	ElseIf strDBType = "mySQL" Then 
	
		'My SQL ODBC Driver
		strImportCon = "Driver={mySQL};Server=" & strDatabaseServer & ";Port=3306;Option=4;Database=" & strDatabaseName & ";Uid=" & strDatabaseUsername & ";Pwd=" & strDatabasePassword & ";"
	End If
	
	
	
	'Set error trapping
	On Error Resume Next
	
	'Open database connection
	adoImportCon.connectionstring = strImportCon
	
	'Set an active connection to the Connection object
	adoImportCon.Open
	
	'If an error has occurred while connecting to database let the user know
	If Err.Number <> 0 Then
	
		Response.Write("<script language=""JavaScript"">" & _
		vbCrLf & "	document.getElementById('displayState').innerHTML = 'Database import process stopped. See detailed error message below.';" & _
		vbCrLf & "	document.getElementById('errMsg').value = document.getElementById('errMsg').value +  'Error connecting to database,\nError: " & errorDescription(err.description) & "\n';" & _
		vbCrLf & "</script>")
		
		Call closeDatabase()
		
		Response.Flush
		Response.End
	End If
	
	

	
	'Get details from database
	Set rsImport = Server.CreateObject("ADODB.Recordset")
	
	
	
	'First count the number of subscribers to import
	strSQL = "SELECT COUNT(*) AS TotalRecords FROM " & strDatabaseTableName & ";"
	
	
	'Query the database
	rsImport.Open strSQL, adoImportCon
	
	'If an error has occurred while getting table data let the user know
	If Err.Number <> 0 Then
	
		Response.Write("<script language=""JavaScript"">" & _
		vbCrLf & "	document.getElementById('displayState').innerHTML = 'Database import process stopped. See detailed error message below.';" & _
		vbCrLf & "	document.getElementById('errMsg').value = document.getElementById('errMsg').value +  'Error, incorrect table name,\nError: " & errorDescription(err.description) & "\n';" & _
		vbCrLf & "</script>")
		
		Call closeDatabase()
		
		Response.Flush
		Response.End
	End If
	
	'Disable error trapping
	On Error goto 0
	
	
	'Get the totla records from db
	lngTotalRecords = rsImport("TotalRecords")
	
	'Display on page number of subscribers to import
	Response.Write("<script language=""JavaScript"">" & _
	vbCrLf & "	document.getElementById('displayState').innerHTML = 'Initialising database import process...';" & _
	vbCrLf & "	document.getElementById('subscribers').innerHTML = '" & lngTotalRecords & "';" & _
	vbCrLf & "</script>")
	
	'Close the recordset
	rsImport.Close
	
	
	
	'Build SQL query
	strSQL = "SELECT * FROM " & strDatabaseTableName & ";"
	
	'Query the database
	rsImport.Open strSQL, adoImportCon
	
	
	'Loop through recordset
	Do While NOT  rsImport.EOF
	
		'Initilise variables
		blnEmailOK = True
		blnEmailExists = false
		strErrorFieldName = ""
		blnUserCodeOK = false
		
		'Count the number of records processed
		lngTotalProcessed = lngTotalProcessed + 1
		
		
		'Set error trapping
		On Error Resume Next
	
		'Read in the details from the database
		strEmail = LCase(rsImport(strDatabaseEmailField))
		If strEmail <> "" Then strEmail = characterStrip(strEmail)
		If Err.Number <> 0 Then strErrorFieldName = "\'Email Address Source Field\', "
		Err.Number = 0
		
		If strDatabaseNameField <> "" Then 
			strName = rsImport(strDatabaseNameField)
			If strName <> "" Then strName = removeAllTags(strName)
			If Err.Number <> 0 Then strErrorFieldName = strErrorFieldName & "\'Name Source Field\', "
		End If
		Err.Number = 0
		
		If strDatabasePasswordField <> "" Then 
			strPassword = rsImport(strDatabasePasswordField)
			If strPassword <> "" Then strPassword = removeAllTags(strPassword)
			If Err.Number <> 0 Then strErrorFieldName = strErrorFieldName & "\'Password Source Field\', "
		End If
		Err.Number = 0
		
		If strDatabaseCompany <> "" Then 
			strCompany = rsImport(strDatabaseCompany)
			If strCompany <> "" Then strCompany = removeAllTags(strCompany)
			If Err.Number <> 0 Then strErrorFieldName = strErrorFieldName & "\'Company Source Field\', "
		End If
		Err.Number = 0
		
		If strDatabaseAdd1 <> "" Then 
			strAdd1 = rsImport(strDatabaseAdd1)
			If strAdd1 <> "" Then strAdd1 = removeAllTags(strAdd1)
			If Err.Number <> 0 Then strErrorFieldName = strErrorFieldName & "\'Address 1 Source Field\', "
		End If
		Err.Number = 0
		
		If strDatabaseAdd2 <> "" Then 
			strAdd2 = rsImport(strDatabaseAdd2)
			If strAdd2 <> "" Then strAdd2 = removeAllTags(strAdd2)
			If Err.Number <> 0 Then strErrorFieldName = strErrorFieldName & "\'Address 2 Source Field\', "
		End If
		Err.Number = 0
		
		If strDatabaseTown <> "" Then 
			strTown = rsImport(strDatabaseTown)
			If strTown <> "" Then strTown = removeAllTags(strTown)
			If Err.Number <> 0 Then strErrorFieldName = strErrorFieldName & "\'Town Source Field\', "
		End If
		Err.Number = 0
		
		If strDatabaseCounty <> "" Then 
			strCounty = rsImport(strDatabaseCounty)
			If strCounty <> "" Then strCounty = removeAllTags(strCounty)
			If Err.Number <> 0 Then strErrorFieldName = strErrorFieldName & "\'County Source Field\', "
		End If
		Err.Number = 0
		
		If strDatabaseCountry <> "" Then 
			strCountry = rsImport(strDatabaseCountry)
			If strCountry <> "" Then strCountry = removeAllTags(strCountry)
			If Err.Number <> 0 Then strErrorFieldName = strErrorFieldName & "\'Country Source Field\', "
		End If
		Err.Number = 0
		
		If strDatabaseZip <> "" Then 
			stZip = rsImport(strDatabaseZip)
			If stZip <> "" Then stZip = removeAllTags(stZip)
			If Err.Number <> 0 Then strErrorFieldName = strErrorFieldName & "\'Zip/Postcode Source Field\', "
		End If
		Err.Number = 0
		
		'If an error has occurred while getting data let the user know
		If strErrorFieldName <> "" Then
		
			Response.Write("<script language=""JavaScript"">" & _
			vbCrLf & "	document.getElementById('displayState').innerHTML = 'Database import process stopped. See detailed error message below.';" & _
			vbCrLf & "	document.getElementById('errMsg').value = document.getElementById('errMsg').value +  'Error, incorrect " & strErrorFieldName & "\nError: " & errorDescription(err.description) & "\n';" & _
			vbCrLf & "</script>")
			
			Call closeDatabase()
			
			Response.Flush
			Response.End
		End If
		
		'Disable error trapping
		On Error goto 0
		
		
		
		
		'If no email address then increament the no email address count
		If strEmail = "" OR isNull(strEmail) Then
			
			lngMemberNoEmail = lngMemberNoEmail + 1
		
		
	
		'Run if email address is returned	
		Else
			
			'Create a unqiue user code
			DO WHILE blnUserCodeOK = False
				'Create user code
				strUserCode = hexValue(32)
				
				'Check if user code exsits
				blnUserCodeOK = checkUserCode(strUserCode)
			Loop
			
			
			'Initalise the strSQL variable with an SQL statement to query the database
			strSQL = "SELECT " & strDbTable & "Members.* " & _
				"FROM " & strDbTable & "Members " & _
				"WHERE " & strDbTable & "Members.Email = '" & strEmail & "';"
				
			
			
			With rsCommon
			
				'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
				.CursorType = 2
						
				'Set the Lock Type for the records so that the record set is only locked when it is updated
				.LockType = 3
						
				'Query the database
				.Open strSQL, adoCon
				
				'If a record is returned this email address is already in the database
				If NOT .EOF Then 
					blnEmailExists = true
					
					'Increment the already imported number
					lngMemberAlreadyImported = lngMemberAlreadyImported + 1
				End If

				
				
				'If the email doesn't already exsist then enter the email into the database
				If blnEmailExists = False Then
					
					
					'Create password if there are none
					If strDatabaseNameField = "" OR strPassword = "" Then strPassword = hexValue(7)
						
					'If the passowrds need to be encrypted then create a slat value and encrypt passords
					If blnEncryptedPasswords Then
						
						'generate a salt value
						strSaltValue = hexValue(8)
						
						'Concatenate salt value to the password
				                strPassword = strPassword & strSaltValue
								
						'Encrypt the  password
						strPassword = HashEncode(strPassword & strSaltValue)
					End If
					
					
						
					'Add new record to a new recorset
					.AddNew
					
					'Set database fields
					.Fields("Email") = Trim(Mid(strEmail, 1, 50))
					.Fields("Password") = strPassword
					If blnEncryptPasswords Then .Fields("Salt") = strSaltValue
					.Fields("ID_Code") = strUserCode
					.Fields("Join_Date") = internationalDateTime(Now())
					.Fields("HTML_format") = blnHTMLformat
					.Fields("Active") = True
					
					If strName <> "" Then .Fields("Name") = Trim(Mid(strName, 1, 25))
					
					
					
					If strDatabaseCompany <> "" Then .Fields("Company") = Trim(Mid(strCompany, 1, 50))
					If strDatabaseAdd1 <> "" Then .Fields("Address1") = Trim(Mid(strAdd1, 1, 50))
					If strDatabaseAdd2 <> "" Then .Fields("Address2") = Trim(Mid(strAdd2, 1, 50))
					If strDatabaseTown <> "" Then .Fields("City") = Trim(Mid(strTown, 1, 50))
					If strDatabaseCounty <> "" Then .Fields("State") = Trim(Mid(strCounty, 1, 50))
					If strDatabaseCountry <> "" Then .Fields("Country") = Trim(Mid(strCountry, 1, 50))
					If strDatabaseZip <> "" Then .Fields("Postcode") = Trim(Mid(strZip, 1, 25))
					
					
						
					'Update the database
					.Update
					
					
					'Requery database to get the new id number
					.Requery
					
					'Get the id number
					lngMemberID = CLng(.fields("Mail_ID"))	
					
					
					'Increment the number of users imported by 1
					lngMemberImportCount = lngMemberImportCount + 1
					
				End If
				
				'Close rs
				.Close
				
			End With
			
			
			
			
			'If the email doesn't already exsist then enter the category details into the database
			If blnEmailExists = False Then
					
				'Add the category details to the database
				For each laryCatID in Request.Form("catID")
					
					'Add cat choices
					strSQL = "INSERT INTO " & strDbTable & "MemCat " & _
					"("  & _
					"Mail_ID, " & _
					"Cat_ID " & _
					") " & _
					"VALUES " & _
					"('" & lngMemberID & "', " & _
					"'" & CLng(laryCatID) & "' " & _
					")" 
					
					'Write to database 
					adoCon.Execute(strSQL) 
				Next
			End If
		End If
		
		'Display on page number of subscribers to import
		Response.Write(vbCrLf & "<script language=""JavaScript"">" & _
		vbCrLf & "	document.getElementById('displayState').innerHTML = 'Importing subscriber...';" & _			
		vbCrLf & "	document.getElementById('imported').innerHTML = '" & lngMemberImportCount & "';" & _
		vbCrLf & "	document.getElementById('done').innerHTML = '" & lngMemberAlreadyImported & "';" & _
		vbCrLf & "	document.getElementById('noemail').innerHTML = '" & lngMemberNoEmail & "';" & _
		vbCrLf & "	document.getElementById('total').innerHTML = '" & lngTotalProcessed & "';" & _
		vbCrLf & "	document.getElementById('progress').innerHTML = '" & percentageCalculate(lngTotalProcessed, lngTotalRecords, 0) & "';" & _
		vbCrLf & "	document.getElementById('progressBar').style.width = '" & percentageCalculate(lngTotalProcessed, lngTotalRecords, 3) & "';" & _
		vbCrLf & "</script>")
					
		
	
		'Move to next record
		rsImport.MoveNext
	Loop
	
	
	'Display on page number of subscribers to import
	Response.Write("<script language=""JavaScript"">" & _
	vbCrLf & "	document.getElementById('displayState').innerHTML = 'Database import process complete.';" & _
	vbCrLf & "</script>")
	
	
	'Clean up
	adoImportCon.Close
	Set adoImportCon = Nothing

End Sub




'******************************************
'***  	    Calculate Percentage       ****
'******************************************
Private Function percentageCalculate(ByRef lngNumberProcessed, ByRef lngTotalToProcess, ByRef intDecPlaces)
	
	'If there are no newsletters sent yet then format the percent by 0 otherwise an overflow error will happen
	If lngTotalProcessed = 0 Then
		percentageCalculate = FormatPercent(0, 0)
	
	'Else read in the the percentage of newsletters sent
	Else
		percentageCalculate = FormatPercent((lngNumberProcessed / lngTotalToProcess), intDecPlaces)
	End If
End Function




'******************************************
'***  	    Format Error Description   ****
'******************************************
Private Function errorDescription(strErrorDescription)

	'Format the error description for javascrip
 	strErrorDescription = Replace(strErrorDescription, vbCrLf, "", 1, -1, 1)
 	strErrorDescription = Replace(strErrorDescription, "\", "\\", 1, -1, 1)
 	strErrorDescription = Replace(strErrorDescription, "'", "\'", 1, -1, 1)
 	
 	'Return the function result
 	errorDescription = strErrorDescription
End Function





	
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Import Subscribers</title>
<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write("<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->")
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>
<link href="<% = strCSSfile %>default_style.css" rel="stylesheet" type="text/css" />
</head>
<body>
<!-- #include file="includes/admin_header_inc.asp" -->
   <h1>Import Subscribers</h1>
   <a href="admin_menu.asp" target="_self">Return to the the Admin Control Panel Menu</a><br />
   <br />
   Your subscribers are being Imported.<br />
   <span class="lgText">Do not close this window while this task is being carried out. </span><br />
   <br />
   <table width="100%" border="0" align="center" cellpadding="5" cellspacing="0" class="tableBorder">
    <tr>
     <td align="left" class="tableLedger">Importing members... </td>
    </tr>
    <tr>
     <td align="left" class="tableRow"><table width="72%" border="0" align="center" cellpadding="6" cellspacing="0">
       <tr>
        <td width="20%" rowspan="10" class="tableRow">&nbsp;</td>
        <td width="7%" class="tableRow"><span id="subscribers"></span></td>
        <td width="53%" class="tableRow">Total Records Found</td>
        <td width="20%" rowspan="8" class="tableRow">&nbsp;</td>
       </tr>
       <tr>
        <td class="tableRow"><span id="noemail"></span></td>
        <td class="tableRow">Records With No Email Address</td>
       </tr>
       <tr>
        <td class="tableRow"><span id="done"></span></td>
        <td class="tableRow">Subscribers Already Imported</td>
       </tr>
       <tr>
        <td class="tableRow"><span id="imported"></span></td>
        <td class="tableRow">Subscribers Imported </td>
       </tr>
       <tr>
        <td class="tableRow"><strong><span id="total"></span></strong></td>
        <td class="tableRow"><strong>Total Processed </strong></td>
       </tr>
       <tr>
        <td class="tableRow">&nbsp;</td>
        <td class="tableRow">&nbsp;</td>
       </tr>
       <tr>
        <td colspan="2" class="tableRow"><span id="progress">0%</span> Progress</td>
       </tr>
       <tr>
        <td colspan="2" class="tableRow"><table width="300" border="0" cellpadding="0" cellspacing="1" bgcolor="#999999">
          <tr>
           <td height="17" background="<% = strImagePath %>progress_bar_bg.gif"><img src="<% = strImagePath %>progress_bar.gif" alt="Progress Bar" height="17" style="width:0%;"id="progressBar" /></td>
          </tr>
         </table></td>
       </tr>
       <tr>
        <td colspan="3" class="tableRow"><strong>Status: <span id="displayState"></span></strong></td>
       </tr>
      </table></td>
    </tr>
    <tr>
     <td align="left" class="tableLedger">Error Details</td>
    </tr>
    <tr>
     <td align="left" class="tableRow">Below are the details of any error messages returned by the server<br />
      <textarea name="errMsg" cols="80" rows="10" id="errMsg" readonly="readonly">Error messages:-

</textarea></td>
    </tr>
   </table>
   <strong><br />
   <br />
   <br />
   <!-- #include file="includes/admin_footer_inc.asp" -->
<%

'Get the subscribers
If Request.Form("M") = "db" Then
	'Call sub to do databse import
	Call GetDbSubscribers()
Else
	'Call sub to do csv import
	Call GetCsvSubscribers()
End If


'Clean up
Call closeDatabase()
 

%>
