<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 


'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************


'Set the response buffer to true
Response.Buffer = True 


'Check user is allowed
Call adminUser()


'Dimension variables
Dim lngNewsletterID		'Holds saved newsletter ID
Dim strNewsletterSubject	'Holds saved newsletter Subject
Dim strNewsletterNote		'Holds saved newsletter Note
Dim dtmNewsletterDate		'Holds saved newsletter Date sent
Dim blnDisplay			'Set to true if displayed to public
Dim blnHTMLFormat		'Set to true if in HTML format
Dim sarryNewsletter
Dim intTotalRecords
Dim intTotalRecordsPages
Dim intStartPosition
Dim intEndPosition
Dim intCurrentRecord
Dim intRecordPositionPageNum
Dim intRecordsPerPage
Dim intPageLinkLoopCounter
Dim intFilter

intFilter = 0

'Number of records per page
intRecordsPerPage = 20


'If this is the first time the page is displayed then the Forum Topic record position is set to page 1
If isNumeric(Request.QueryString("PN")) = false Then
	intRecordPositionPageNum = 1
ElseIf Request.QueryString("PN") < 1 Then
	intRecordPositionPageNum = 1
'Else the page has been displayed before so the Forum Topic record postion is set to the Record Position number
Else
	intRecordPositionPageNum = CInt(Request.QueryString("PN"))
End If


'Get what date to show topics till from querystring
If isNumeric(Request.QueryString("Filter")) AND Request.QueryString("Filter") <> "" Then intFilter = CInt(Request.QueryString("Filter"))




'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT " & strDbTable & "Newsletter.Newsletter_ID, " & strDbTable & "Newsletter.Newsletter_subject, " & strDbTable & "Newsletter.Newsletter_date, " & strDbTable & "Newsletter.HTML, " & strDbTable & "Newsletter.Complete_Mail, " & strDbTable & "Newsletter.Private, " & strDbTable & "Newsletter.Web_views, " & strDbTable & "Newsletter.RSS_views, " & strDbTable & "Newsletter.Email_sent, " & strDbTable & "Newsletter.Email_read, " & strDbTable & "Newsletter.Email_Errors, " & strDbTable & "Newsletter.Complete_Forum " & _
	"From " & strDbTable & "Newsletter  "
'If there is a filter add that to the sql query
If intFilter = 1 Then
	strSQL = strSQL & "WHERE " & strDbTable & "Newsletter.HTML = " & strDBTrue & " "
ElseIf intFilter = 2 Then
	strSQL = strSQL & "WHERE " & strDbTable & "Newsletter.HTML = " & strDBFalse & " "
ElseIf intFilter = 3 Then
	strSQL = strSQL & "WHERE " & strDbTable & "Newsletter.Complete = " & strDBTrue & " "
ElseIf intFilter = 4 Then
	strSQL = strSQL & "WHERE " & strDbTable & "Newsletter.Complete = " & strDBFalse & " "
ElseIf intFilter = 5 Then
	strSQL = strSQL & "WHERE " & strDbTable & "Newsletter.Private = " & strDBFalse & " "
ElseIf intFilter = 6 Then
	strSQL = strSQL & "WHERE " & strDbTable & "Newsletter.Private = " & strDBTrue & " "
End If

strSQL = strSQL & "ORDER BY " & strDbTable & "Newsletter.Newsletter_date DESC;"


'SQL Query Array Look Up table
'0 = Newsletter_ID
'1 = Newsletter_subject
'2 = Newsletter_date
'3 = HTML
'4 = Complete_Mail
'5 = Private
'6 = Web_views
'7 = RSS_views
'8 = Email_sent
'9 = Email_read
'10 = Email_Errors
'11 = Complete_Forum

	
'Set error trapping
On Error Resume Next

'Query the database
rsCommon.Open strSQL, adoCon

'If an error has occurred write an error to the page
If Err.Number <> 0 Then	Call errorMsg("An error has occurred while executing SQL query on database.", "get_newsletter_data", "admin_newsletters_stats.asp")

'Disable error trapping
On Error goto 0

'If records returned read them into an array
If NOT rsCommon.EOF Then
	
	
	'Read in the newsletter recordset into an array
	sarryNewsletter = rsCommon.GetRows()

	'Count the number of records
	intTotalRecords = Ubound(sarryNewsletter,2) + 1

	'Count the number of pages for the topics using FIX so that we get the whole number and  not any fractions
	intTotalRecordsPages = FIX(intTotalRecords / intRecordsPerPage)

	'If there is a remainder or the result is 0 then add 1 to the total num of pages
	If intTotalRecords Mod intRecordsPerPage > 0 OR intTotalRecordsPages = 0 Then intTotalRecordsPages = intTotalRecordsPages + 1

	'Start position
	intStartPosition = ((intRecordPositionPageNum - 1) * intRecordsPerPage)

	'End Position
	intEndPosition = intStartPosition + intRecordsPerPage

	'Get the start position
	intCurrentRecord = intStartPosition
End If



'Clean up
rsCommon.Close
Call closeDatabase()

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<!--#include file="includes/browser_page_encoding_inc.asp" -->
<title>Newsletter Statistics</title>
<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write("<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->")
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>
<script language="JavaScript">
function filterJS(Show){
   	strShow = escape(Show.options[Show.selectedIndex].value);
   	if (Show != '') self.location.href = 'admin_newsletters_stats.asp?PN=<% = intRecordPositionPageNum %>&Filter=' + strShow;
	return true;
}
</script>
<script language="JavaScript" src="includes/default_javascript.js"></script>
<link href="<% = strCSSfile %>default_style.css" rel="stylesheet" type="text/css">
</head>
<body>
<!-- #include file="includes/admin_header_inc.asp" -->
<h1>Newsletter Statistics </h1>
<a href="admin_menu.asp" target="_self">Return to the the Admin Control Panel Menu</a><br />
 <br />
 <span class="text"> Below are statistics for Newsletters held on the system.<br />The 'Email Reads' only work on HTML Newsletters and only if the end user has images enabled in their email client.</span><br />
 <br />
<table class="basicTable" cellspacing="1" cellpadding="3" align="center">
 <tr>
  <td width="50%">Filter
   <select name="show" id="show" onChange="filterJS(this)">
    <option value="0"<% If intFilter = 0 Then Response.Write " selected" %>>All Formats</option>
    <option value="1"<% If intFilter = 1 Then Response.Write " selected" %>>HTML Format</option>
    <option value="2"<% If intFilter = 2 Then Response.Write " selected" %>>Text Format</option>
    <option value="3"<% If intFilter = 3 Then Response.Write " selected" %>>Sent</option>
    <option value="4"<% If intFilter = 4 Then Response.Write " selected" %>>Not Sent</option>
    <option value="5"<% If intFilter = 5 Then Response.Write " selected" %>>Public</option>
    <option value="6"<% If intFilter = 6 Then Response.Write " selected" %>>Private</option>
   </select>
  </td>
  <td width="50%" align="right"><%

'If there is more than one page display links to the others
If intTotalRecordsPages > 1 Then
	
	'Call sub routime to create links to mutiple pages
	Call PageLink("admin_newsletters_stats.asp?Filter=" & intFilter & "&")

End If

%>
   </td>
 </tr>
</table>
 <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableBorder">
  <tr>
   <td width="35%" class="tableLedger">Newsletter Subject </td>
   <td width="17%" class="tableLedger">Date</td>
   <td width="6%" align="center" class="tableLedger">Format</td>
   <td width="6%" align="center" class="tableLedger">Public</td>
   <td width="6%" align="center" class="tableLedger">Emails Sent</td>
   <td width="6%" align="center" class="tableLedger">Email Errors </td>
   <td width="6%" align="center" class="tableLedger">Emails Read </td>
   <td width="6%" align="center" class="tableLedger">RSS Hits</td>
   <td width="6%" align="center" class="tableLedger">Online Hits </td>
   <td width="6%" align="center" nowrap="nowrap" class="tableLedger">View </td>
   </tr><%


'If there are no topics to display, show a message saying so
If intTotalRecords <= 0 Then

	'If there are no Topic's to display then display the appropriate error message
	Response.Write vbCrLf & "  <tr class=""tableRow""><td colspan=""10"" align=""center""><br />There are no Newsletters to display<br /><br /></td></tr>"

'Else there the are topic's so write the HTML to display the topic names and a discription
Else

	'Do....While Loop to loop through the recorset to display the forum topics
	Do While intCurrentRecord < intEndPosition

		'If there are no topic records left to display then exit loop
		If intCurrentRecord >= intTotalRecords Then Exit Do
			
			'SQL Query Array Look Up table
			'0 = Newsletter_ID
			'1 = Newsletter_subject
			'2 = Newsletter_date
			'3 = HTML
			'4 = Complete_Mail
			'5 = Private
			'6 = Web_views
			'7 = RSS_views
			'8 = Email_sent
			'9 = Email_read
			'10 = Email_Errors
			'11 = Complete_Forum
			
%>			
  <tr class="tableRow">
   <td><strong><% = sarryNewsletter(1,intCurrentRecord) %></strong></td>
   <td><% = FormatDateTime(sarryNewsletter(2,intCurrentRecord), vbLongDate) %></td>
   <td align="center"><% If CBool(sarryNewsletter(3,intCurrentRecord)) Then Response.Write("HTML") Else Response.Write("Text") %></td>
   <td align="center"><% If CBool(sarryNewsletter(5,intCurrentRecord)) Then Response.Write("No") Else Response.Write("Yes") %></td>
   <td align="center"><% = sarryNewsletter(8,intCurrentRecord) %></td>
   <td align="center"><% = sarryNewsletter(10,intCurrentRecord) %></td>
   <td align="center"><% = sarryNewsletter(9,intCurrentRecord) %></td>
   <td align="center"><% = sarryNewsletter(7,intCurrentRecord) %></td>
   <td align="center"><% = sarryNewsletter(6,intCurrentRecord) %></td>
   <td align="center"><a href="admin_view_newsletter.asp?ID=<% = sarryNewsletter(0,intCurrentRecord) %>"><img src="<% = strImagePath %>go.png" border="0" alt="View Subscribers" title="View Subscribers" align="absmiddle" /></a></td>
   </tr><%

		'Move to the next record
		intCurrentRecord = intCurrentRecord + 1
	Loop
End If


        %>
 </table>
 <table class="basicTable" cellspacing="1" cellpadding="3" align="center">
  <tr>
   <td align="right"><%

'If there is more than one page display links to the others
If intTotalRecordsPages > 1 Then
	
	'Call sub routime to create links to mutiple pages
	Call PageLink("admin_newsletters_stats.asp?Filter=" & intFilter & "&")
		
End If

%>   </td>
   </tr>
 </table>
 <br />
 <table align="center" cellpadding="3" cellspacing="1" class="tableBorder" style="width:600px;">
  <tr>
   <td width="24%" class="tableLedger">Column</td>
   <td width="76%" class="tableLedger">Description</td>
  </tr>
  <tr class="text">
   <td valign="top" class="tableRow"><strong>Newsletter Subject </strong></td>
   <td class="tableRow">Newsletter Subject </td>
  </tr>
  <tr class="text">
   <td valign="top" class="tableRow"><strong>Date</strong></td>
   <td class="tableRow">Date created </td>
  </tr>
  <tr class="text">
   <td valign="top" class="tableRow"><strong>Format</strong></td>
   <td class="tableRow">Format o Newsletter (HTML or Plain Text) </td>
  </tr>
  <tr class="text">
   <td valign="top" class="tableRow"><strong>Public</strong></td>
   <td class="tableRow">If non subscribers can view the Newsletter </td>
  </tr>
  <tr class="text">
   <td valign="top" class="tableRow"><strong>Emails Sent </strong></td>
   <td class="tableRow">Number of email subscribers the Newsletter was sent to</td>
  </tr>
  <tr class="text">
   <td valign="top" class="tableRow"><strong>Email Errors </strong></td>
   <td class="tableRow">Number emails failed to be sent to subscribers</td>
  </tr>
  <tr class="text">
   <td valign="top" class="tableRow"><strong>Emails Read </strong></td>
   <td class="tableRow">Shows how many subscribers have read the Newsletter in their email program. <span class="smText">This only works for HTML emails if the subscriber has images enabled in their email client.</span></td>
  </tr>
  <tr class="text">
   <td valign="top" class="tableRow"><strong>RSS Hits </strong></td>
   <td class="tableRow">Shows how many people clicked through from the RSS News Bulletin to read the full Newsletter Article. </td>
  </tr>
  <tr class="text">
   <td valign="top" class="tableRow"><strong>Online Hits </strong></td>
   <td class="tableRow">Shows how many people read the Newsletter online.</td>
  </tr>
 </table>
 <br />
<!-- #include file="includes/admin_footer_inc.asp" -->