<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************



'Set the response buffer to true as we maybe redirecting
Response.Buffer = True 



'Check user is allowed
Call adminUser()



'Dimension variables
Dim lngTemplateID	'Holds saved Template ID
Dim strTemplateSubject	'Holds saved Template Subject
Dim strTemplateNote	'Holds a note of the template
Dim strTemplate		'Holds the template


'Intilise variables
strTemplateSubject = strTxtError


'Get the Template ID to be displayed
If isNumeric(Request.QueryString("TID")) = false Then
	lngTemplateID = 0
Else
	lngTemplateID = CInt(Request.QueryString("TID"))
End If



'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT " & strDbTable & "Template.* " & _
	"From " & strDbTable & "Template " & _
	"WHERE " & strDbTable & "Template.Temp_ID = " & lngTemplateID & ";"

	
'Set error trapping
On Error Resume Next

'Query the database
rsCommon.Open strSQL, adoCon

'If an error has occurred write an error to the page
If Err.Number <> 0 Then	Call errorMsg("An error has occurred while executing SQL query on database.", "get_template_data", "admin_view_template.asp")

'Disable error trapping
On Error goto 0

'If records returned read them into an array
If NOT rsCommon.EOF Then
	
	'Read in the template details
	strTemplateSubject = rsCommon("Template_name")
	strTemplate = rsCommon("Template")
	strTemplateNote = rsCommon("Template_note")
	
	'If this a paln text news letter use pre around it
	If CBool(rsCommon("HTML")) = false Then strTemplate = "<pre>" & strTemplate & "</pre>"
	
End If




%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="copyright" content="Copyright (C) 2001-2007 Web Wiz" />
<title><% = strTemplateSubject %></title>
<!--#include file="includes/browser_page_encoding_inc.asp" -->

<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write(vbCrLf & vbCrLf & "<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->" & vbCrLf)
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>

<link href="<% = strCSSfile %>default_style.css" rel="stylesheet" type="text/css">
</head>
<body>
<!-- #include file="includes/admin_header_inc.asp" -->
<h1><% = strTemplateSubject %></h1>
 <a href="admin_menu.asp" target="_self">Return to the the Admin Control Panel Menu</a>
 <br />
 <a href="admin_template.asp">Select another Template to View</a>
 <br /><br /><%

'If there is no Template or not public tell the user
If rsCommon.EOF Then

%>
 <table class="errorTable" cellspacing="1" cellpadding="3" align="center">
    <tr>
     <td><img src="<% = strImagePath %>error.png" alt="<% = strTxtError %>" align="absmiddle" /> <strong><% = strTxtError %></strong></td>
    </tr>
    <tr>
     <td><br /><%
      
	Response.Write("There is no Template to display relating to your criteria.<br /><br /><a href=""admin_menu.asp"">Return to the the Admin Control Panel Menu</a>")

%>
   </td>
    </tr>
   </table>
   <br /><%

Else

%>
   <table width="100%" border="0" cellpadding="4" cellspacing="1" class="tableBorder">
    <tr>
     <td colspan="2" class="tableLedger">Template Details </td>
    </tr>
    <tr class="tableRow">
     <td width="20%" align="left" class="text"><strong>Subject:</strong></td>
     <td width="80%" class="text"><% = strTemplateSubject %></td>
    </tr>
    <tr class="tableRow">
     <td align="left" class="text"><strong>Template Note :</strong></td>
     <td class="text"><% If strTemplateNote = "" Then Response.Write("None") Else Response.Write(strTemplateNote) %></td>
    </tr>
    <tr class="tableRow">
     <td align="left" class="text"><strong>Template Format:</strong></td>
     <td class="text"><% If CBool(rsCommon("HTML")) Then Response.Write("HTML Format") Else Response.Write("Plain Text") %></td>
    </tr>
   </table>
   <br />
   <table cellpadding="3" cellspacing="1" class="tableBorder" style="width: 100%; table-layout: fixed;">
   <tr>
     <td class="tableLedger">Template</td>
    </tr>
    <tr class="tableRow">
     <td class="text"><h1><% = strTemplateSubject %></h1>
     <br />
     <br />
       <div class="msgBody" style="float:left; overflow:auto;">
        <% = strTemplate %>
      </div></td>
    </tr>
   </table>
   <br />
   <%
End If

'reset db objects
rsCommon.Close 
Call closeDatabase()

%>
<!-- #include file="includes/admin_footer_inc.asp" -->