<% Option Explicit %>
<!--#include file="common.asp" -->
<!--#include file="functions/functions_common.asp" -->
<!--#include file="functions/functions_send_mail.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 




'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************


'Set the response buffer to true as we maybe redirecting
Response.Buffer = True 

'Declare variables
Dim strUserID		'Holds the users ID code
Dim strUserName		'Holds the users name
Dim strEmail		'Holds the users email address
Dim strSubject		'Holds the subject of te email
Dim strEmailBody	'Holds the email body
Dim blnActivated	'Set to true if the accountis activated


'Initialise variables
blnActivated = false


'Read in the users ID code
strUserID = Trim(Mid(Request.Cookies(strCookieName)("UID"), 1, 33)) 

'Clean up the USER ID address getting rid of unwanted characters
strUserID = IDcharacterStrip(strUserID)

'Get the users details from the database and activate account
If NOT strUserID = "" Then
	
	'Initalise the strSQL variable with an SQL statement to query the database
	strSQL = "SELECT TOP 1 " & strDbTable & "Members.* " & _
	"FROM " & strDbTable & "Members " & _
	"WHERE " & strDbTable & "Members.ID_Code = '" & strUserID & "';"
	
	With rsCommon
			
		'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
		.CursorType = 2
				
		'Set the Lock Type for the records so that the record set is only locked when it is updated
		.LockType = 3
				
		'Query the database
		.Open strSQL, adoCon
		
		If NOT .EOF Then
			
			'Get the email address
			strUserName = .Fields("Name")
			strEmail = .Fields("Email")
			
			'SQL query to delete category data from db
			strSQL = "DELETE FROM " & strDbTable & "MemCat WHERE " & strDbTable & "MemCat.Mail_ID=" & CLng(.Fields("Mail_ID")) & ";"
			
			'Write to database 
			adoCon.Execute(strSQL) 
			
			'Delete the db record
			.Delete

		End If
	
		'Clean up
		.close
	End With
	
		
	'Set the subject of the email
	strSubject = strWebsiteName & ": Subscription Removed"
				
	'set the message body of the activation email
	strEmailBody = strTxtDear & " " & strUserName & "," & _
	vbCrLf & vbCrLf & strTxtGreetingsFrom & " " & strWebsiteName & "." & _
	vbCrLf & vbCrLf & strTxtThisIsToConfirmThatYouHaveUnsubscribed & " " & strWebsiteName & "." & _
	vbCrLf & vbCrLf & strSignature
	
	'Send the e-mail using the Send Mail function created on the send_mail_function.inc file
	Call SendMail(strEmailBody, decodeString(strUserName), decodeString(strEmail), strWebsiteName, decodeString(strWebsiteEmailAddress), strSubject, strMailComponent, true)
	
	
	'If the mailing list admin wants to be notified of people leaving then send an email
	If blnRemoveNotify Then
		
		'Set the subject of the email
		strSubject = strWebsiteName & ": Subscription Removed"
					
		'set the message body of the activation email
		strEmailBody = strTxtDear & " " & strWebsiteName & " " & strTxtAdmin & "," & _
		vbCrLf & vbCrLf & strTxtThisIsToNotifyThatTheFollowingHasUnsubscribed & " " & strWebsiteName & "." & _
		vbCrLf & vbCrLf & strTxtName & ":- " & strUserName & _
		vbCrLf & strTxtEmail & ":- " & strEmail
		
		
		'Send the email
		Call SendMail(strEmailBody, strWebsiteName, decodeString(strWebsiteEmailAddress), strWebsiteName, decodeString(strWebsiteEmailAddress), strSubject, strMailComponent, false)
	End If
End If


%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><% = strWebsiteName & " " & strTxtUnsubscribeConfirmation %></title>
<!--#include file="includes/browser_page_encoding_inc.asp" -->
<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write("<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->")
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>
<link href="<% = strCSSfile %>default_style.css" rel="stylesheet" type="text/css" />
<!-- #include file="includes/header.asp" -->
<div align="center">
 <h1>
  <% = strWebsiteName & " " & strTxtUnsubscribeConfirmation %>
 </h1>
</div>
<br />
<!-- #include file="includes/page_layout_header_inc.asp" -->
 <table border="0" align="center" cellpadding="3" cellspacing="1" class="tableBorder">
  <tr>
   <td class="tableLedger"><% = strTxtUnsubscribeConfirmation %></td>
  </tr>
  <tr>
   <td align="center" class="tableRow"><br />
    <p class="lgText"><% = strTxtYouHaveNowUnsubscribedFromAllCategories & " " & strWebsiteName  %>.</p>
    <p><% = strTxtAConfirmationEmailWillBEmailedToYou %>.</p>
    <br />
   </td>
  </tr>
 </table>
<!-- #include file="includes/page_layout_footer_inc.asp" -->
<!--#include file="includes/footer.asp" --><%
   
'Clean up  
Call closeDatabase()


%>