<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Rich NewsPad(TM)
'**  http://www.richtexteditor.org
'**                                               
'**  Copyright 2001-2007 Web Wiz(TM). All Rights Reserved.    
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 


'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'**************************************************************************************** 


Dim adoWebWizForumsCon	'Holds the database connection object
Dim strWebWizForumsCon	'Holds the database connection string
Dim strWebWizForumsDBFalse
Dim strWebWizForumsDBTrue



'******************************************
'*** 	 Open Database Connection      ****
'******************************************

'This sub procedure opens a connection to the Web Wiz Forums database
Private Sub openWebWizForumsDatabase()


	'If this is an access database then setup the database connection
	If strWebWizForumsDbType = "access" Then
		
		'If this is a path from the application to the database use the mapPath method
		If blnWebWizForumsDbPhyPath = False Then strWebWizForumsDbPath = Server.MapPath(strWebWizForumsDbPath)   
		
		
		'If a username and password are required then pass them across (uses slower generic db access driver
		If strWebWizForumsDbUser <> "" OR strWebWizForumsDbPass <> "" Then
		
			strWebWizForumsCon = "DRIVER={Microsoft Access Driver (*.mdb)};uid=" & strWebWizForumsDbUser & ";pwd=" & strWebWizForumsDbPass & "; DBQ=" & strWebWizForumsDbPath & "/" & strWebWizForumsDbName
		
		'Else use the jet 4 driver
		Else
			strWebWizForumsCon = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" & strWebWizForumsDbPath & "/" & strWebWizForumsDbName
		End If
		
		'Set db true false types
		strWebWizForumsDBFalse = "false"
		strWebWizForumsDBTrue = "true"
	
	
	'Else if this is MS SQL server then setup db connection string
	ElseIf strWebWizForumsDbType = "SQLServer" Then 
	
		'MS SQL Server OLE Driver
		strWebWizForumsCon = "Provider=SQLOLEDB;Server=" & strWebWizForumsDbServer & ";User ID=" & strWebWizForumsDbUser & ";Password=" & strWebWizForumsDbPass & ";Database=" & strWebWizForumsDbName & ";"
	
		'Set db true false types
		strWebWizForumsDBFalse = 0
		strWebWizForumsDBTrue = 1
		
	'Else if this is mySQL then setup db connection string
	ElseIf strWebWizForumsDbType = "mySQL" Then 
	
		'My SQL ODBC Driver
		strWebWizForumsCon = "Driver={mySQL};Server=" & strWebWizForumsDbServer & ";Port=3306;Option=4;Database=" & strWebWizForumsDbName & ";Uid=" & strWebWizForumsDbUser & ";Pwd=" & strWebWizForumsDbPass & ";"
	
		'Set db true false types
		strWebWizForumsDBFalse = 0
		strWebWizForumsDBTrue = -1
	End If
	
	
	'Set error trapping
	On Error Resume Next
	
	'Create a connection odject
	Set adoWebWizForumsCon = Server.CreateObject("ADODB.Connection")
	
	'Setup db connection
	adoWebWizForumsCon.connectionstring = strWebWizForumsCon
	
	'Set an active connection to the Connection object
	adoWebWizForumsCon.Open
	
	
	'If an error has occurred write an error to the page
	If Err.Number <> 0 Then Call errorMsg("An error has occurred while connecting to the Web Wiz Forums database.", "db_connection", "common.asp")
	
	'Disable error trapping
	On Error goto 0

End Sub




'******************************************
'*** 	  Close Database Connection    ****
'******************************************

'This sub procedure will close the main recordset and close the database connection
Public Sub closeWebWizForumsDatabase()

	'Close recordset
	If isObject(rsCommon) Then
		Set rsCommon = Nothing
	End If
	
	'Close Database Connection
	If isObject(adoWebWizForumsCon) Then
		adoWebWizForumsCon.Close
		Set adoWebWizForumsCon = Nothing
	End If
End Sub
%>