<% Option Explicit %>
<!--#include file="common.asp" -->
<!--#include file="functions/functions_common.asp" -->
<!--#include file="functions/functions_send_mail.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************




'Set the response buffer to true as we maybe redirecting
Response.Buffer = True 

Dim strEmail	'Holds the users email address
Dim strUserID	'Holds the users ID code
Dim strUserName
Dim lngMemberID
Dim strSubject
Dim strEmailBody

'Read in the users ID code
strUserID = Trim(Mid(Request.Cookies(strCookieName)("UID"), 1, 33)) 

'Clean up the USER ID address getting rid of unwanted characters
strUserID = IDcharacterStrip(strUserID)



'Get the users details from the database
If NOT strUserID = "" Then
	
	'Initalise the strSQL variable with an SQL statement to query the database
	strSQL = "SELECT " & strDbTable & "Members.* " & _
	"FROM " & strDbTable & "Members " & _
	"WHERE " & strDbTable & "Members.ID_Code = '" & strUserID & "';"
	
	With rsCommon
				
		'Query the database
		.Open strSQL, adoCon
		
		'If a record is found read in the details
		If NOT .EOF Then
			
			
			
			'Get the email address
			lngMemberID = .Fields("Mail_ID")
			strUserName = .Fields("Name")
			strEmail = .Fields("Email")
			
			
			
			'Send the reactivation email
			
			'Set the subject of the email
			strSubject = strWebsiteName & ": " & strTxtConformSubscription
				
			'set the message body of the activation email
			strEmailBody = strTxtDear & " " & strUserName & "," & _
			vbCrLf & vbCrLf & strTxtGreetingsFrom & " " & strWebsiteName & "." & _
			vbCrLf & vbCrLf & strTxtWeReceivedYourRequestToSubscribe & " " & strWebsiteName & strTxtNewsletter & " ." & _
			vbCrLf & vbCrLf & strTxtToActivateYourSubscriptionClickTheAddressBelow & ":-" & _
			vbCrLf & vbCrLf & strWebsiteAddress & "activate.asp?ID=" & strUserID & _
			vbCrLf & vbCrLf & strTxtIfYouDidNotSubscribe & "." & _
			vbCrLf & vbCrLf & strTxtThankYouForYourInterest & "." & _
			vbCrLf & vbCrLf & strSignature
				
			'Send the e-mail using the Send Mail function created on the send_mail_function.inc file
			Call SendMail(strEmailBody, decodeString(strUserName), decodeString(strEmail), strWebsiteName, decodeString(strWebsiteEmailAddress), strSubject, strMailComponent, false)
				
			
			
		
		
		
		
		
		'Else no record is found so send the user away
		Else
			'Clean up
			rsCommon.Close
			Call closeDatabase() 
								
			'Redirect to login page
			Response.Redirect("default.asp")
		
		
		End If
	
	
		'Clean up
		.Close
		
	End With

'If the user code is not enterd or does not match bounce the user to the login page
Else

	'Clean up
	Call closeDatabase()  
						
	'Redirect to login page
	Response.Redirect("default.asp")
end if




%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><% = strWebsiteName & " " & " " & strTxtConfirmSubscription %></title>
<!--#include file="includes/browser_page_encoding_inc.asp" -->
<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write(vbCrLf & vbCrLf & "<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->")
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>

<!-- #include file="includes/header.asp" -->
<div align="center">
 <h1>
  <% = strWebsiteName & " " & " " & strTxtConfirmSubscription %>
 </h1>
</div>
<br />
<!-- #include file="includes/page_layout_header_inc.asp" -->
 <table align="center" border="0" cellpadding="3" cellspacing="1" class="tableBorder">
  <tr>
   <td class="tableLedger"><% = strTxtIMPORTANTConfirmYourSubscription %>!!</td>
  </tr>
  <tr>
   <td class="tableTopRow"><br /><% = strTxtThankYouForYourInterestIn & " " & strWebsiteName & " " & strTxtNewsletterReSentConformYourSub %>.
    <ul>
     <li><% = strTxtPleaseCheckYourEmailInboxForAMessageWithTheSubjectLine %>: <strong>&quot;<% = strWebsiteName & ": " & strTxtConformSubscription %>&quot;</strong>.<br />
      <br />
     </li>
     <li><% = strTxtSimplyClickTheLinkInsideThisEmailToAct %>.</li>
    </ul>
    <% = strTxtWeRequireThisStepToProtectOurMembers %>.<br />
     <strong><% = strTxtYouWillNotBeSubscribedTillThisStepIsComplete %>.</strong><br />
     <br />
     <% = strTxtIfYouWouldLikeToMakeChagesToYourMailingListAccountOrUnsubscribe %>
     <a href="login.asp?email=<% = Server.URLEncode(strEmail) %>" target="_self"><% = strTxtClickhere %></a>.<br />
     <br />
   </td>
  </tr>
 </table>
<!-- #include file="includes/page_layout_footer_inc.asp" -->
<%
   
'Clean up  
Call closeDatabase()

%>
<!--#include file="includes/footer.asp" -->