<% @ Language=VBScript %>
<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************



'see if the web front end is active
Call WebFrontEnd()


'Set the response buffer to true as we maybe redirecting
Response.Buffer	= True



'Declare variables
Dim sarryRssNewsPad	'Holds the RSS Feed recordset
Dim intCurrentRecord	'Holds the current record in the array
Dim lngNewsletterID	'Holds the newsletter ID
Dim strSubject		'Holds the subject
Dim dtmNewsletterDate	'Holds the newsletter date
Dim strAuthor		'Holds sthe authors user name
Dim stDescription	'Holds the new bulletin
Dim strRssChannelTitle	'Holds the channel name
Dim strTimeZone		'Holds the time zone for the feed
Dim dtmLastEntryDate	'Holds the date of the last message
Dim intMaxResults
Dim intCategory
Dim strCatName
Dim intRSSLoopCounter


'Get the category to be displayed
If isNumeric(Request.QueryString("CAT")) = false Then
	intCategory = 0
Else
	intCategory = CInt(Request.QueryString("CAT"))
End If



'This is the number of posts to include in the feed
intMaxResults = intNewsBulletinsPerPage

'This is the Time to Live value so that RSS News Readers know how often to update their feed,
'if this is set to low you may consume to much bandwidth, to high and the RSS News Reader may not be updated fast enough
Const intTimeToLive = 30

'Set this to the time zone you require
strTimeZone = "+0000" 'See http://www.sendmail.org/rfc/0822.html#5 for list of time zones

'Initliase variables
strRssChannelTitle = strWebsiteName


'Set the content type for feed
Response.ContentType = "application/xml"


'If this a category RSS Feed lets see what the name is of the category
If intCategory > 0 Then
	
	'Initalise the strSQL variable with an SQL statement to query the database
	strSQL = "SELECT " & strDbTable & "Category.Cat_Name " & _
	"FROM " & strDbTable & "Category " & _
	"WHERE " & strDbTable & "Category.Cat_ID = " & intCategory & " " & _
	"ORDER BY Cat_Order ASC;"
		
	'Query the database
	rsCommon.Open strSQL, adoCon
	
	'Get the cat name
	If NOT rsCommon.EOF Then strCatName = rsCommon("Cat_Name")
	
	'Clean up	
	rsCommon.Close
End If




'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT "
If strDatabaseType = "SQLServer" OR strDatabaseType = "Access" Then
	strSQL = strSQL & " TOP " & intMaxResults & " "
End If
strSQL = strSQL & strDbTable & "Newsletter.Newsletter_ID, " & strDbTable & "Newsletter.Newsletter_subject, " & strDbTable & "Newsletter.Newsletter_date, " & strDbTable & "Newsletter.Description, " & strDbTable & "Newsletter.Author " & _
	"From " & strDbTable & "Newsletter  "
	
'If we are requiring a category we need to join the table
If intCategory > 0 Then
	strSQL = strSQL & ", " & strDbTable & "NewsCat " & _
	"WHERE " & strDbTable & "Newsletter.Newsletter_ID = " & strDbTable & "NewsCat.Newsletter_ID " & _
	"AND " & strDbTable & "NewsCat.Cat_ID = " & intCategory & " "
End If	

strSQL = strSQL & "ORDER BY " & strDbTable & "Newsletter.Newsletter_date DESC"
'mySQL limit operator
If strDatabaseType = "mySQL" Then
	strSQL = strSQL & " LIMIT " & intMaxResults
End If
strSQL = strSQL & ";"


'Set error trapping
On Error Resume Next

'Query the database
rsCommon.Open strSQL, adoCon


'If an error has occurred write an error to the page
If Err.Number <> 0 Then
	Call errorMsg("An error has occurred while executing SQL query on database.", "get_RSS_topic_data", "RSS_news_feed.asp")
End If

'Disable error trapping
On Error goto 0



'Read in db results
If NOT rsCommon.EOF Then

	'Get the date of the last entry for the build date
	dtmLastEntryDate = CDate(rsCommon("Newsletter_date"))

	'Place the db results into an array
	sarryRssNewsPad = rsCommon.GetRows()
End If

'Close the recordset
rsCommon.Close

'SQL Query Array Look Up table
'0 = Newsletter_ID
'1 = Newsletter_subject
'2 = Newsletter_date
'3 = Description
'4 = Author



'Clear server objects
Call closeDatabase()


'Clean up channel name to prevent errors
strRssChannelTitle = Server.HTMLEncode(strRssChannelTitle)
strWebsiteName = Server.HTMLEncode(strWebsiteName)
strCatName = Server.HTMLEncode(strCatName)



%><?xml version="1.0" encoding="<% = strRSSPageEncoding %>" ?>
<?xml-stylesheet type="text/xsl" href="RSS_xslt_style.asp" version="1.0" ?>
<rss version="2.0" xmlns:WebWizNewsPad="http://syndication.webwizguide.com/rss_namespace/">
 <channel>
  <title><% = strRssChannelTitle %><% If strCatName <> "" Then Response.Write(" : " & strCatName) %></title>
  <link><% = strWebsiteAddress %></link>
  <description><% = strTxtThisIsAnXMLFeedOf %>; <% = strRssChannelTitle & " : " & strTxtLast & " " & intMaxResults & " " & strTxtNewsBulletins %></description><%

If blnLCode Then
	%>
  <copyright>Copyright (c) 2006-2007 Web Wiz NewsPad - All Rights Reserved.</copyright><%
End If

%>
  <pubDate><% = RssDateFormat(Now(), strTimeZone) %></pubDate>
  <lastBuildDate><% = RssDateFormat(dtmLastEntryDate, strTimeZone) %></lastBuildDate>
  <docs>http://blogs.law.harvard.edu/tech/rss</docs>
  <generator>Web Wiz NewsPad <% = strVersion %></generator>
  <ttl><% = intTimeToLive %></ttl>
  <WebWizNewsPad:feedURL><% = Replace(strWebsiteAddress, "http://", "") %>RSS_news_feed.asp</WebWizNewsPad:feedURL><%

'If there is a title image for the forum display it
If strTitleImage <> "" Then
%>
  <image>
   <title><% = strWebsiteName %><% If strCatName <> "" Then Response.Write(" : " & strCatName) %></title>
   <url><% = strWebsiteAddress & strTitleImage %></url>
   <link><% = strWebsiteAddress %></link>
  </image><%

End If


'If there are records we need to display them
If isArray(sarryRssNewsPad) Then

	'Loop throug recordset to display the topics
	Do While intCurrentRecord <= Ubound(sarryRssNewsPad, 2)

		'SQL Query Array Look Up table
		'0 = Newsletter_ID
		'1 = Newsletter_subject
		'2 = Newsletter_date
		'3 = Description
		'4 = Author


		'Read in db details for RSS feed
		lngNewsletterID = CLng(sarryRssNewsPad(0, intCurrentRecord))
		strSubject = sarryRssNewsPad(1, intCurrentRecord)
		dtmNewsletterDate = CDate(sarryRssNewsPad(2, intCurrentRecord))
		stDescription = sarryRssNewsPad(3, intCurrentRecord)
		strAuthor = sarryRssNewsPad(4, intCurrentRecord)
		


		'Remove line breaks
		If stDescription <> "" Then stDescription = Replace(stDescription, vbCrLf, "", 1, -1, 1)
			
			
		'Encode non ASCII characters that can crash RSS Feeds
		For intRSSLoopCounter = 128 to 221
 			strSubject = Replace(strSubject, Chr(intRSSLoopCounter), "&#" & Trim(intRSSLoopCounter) & ";", 1, -1, 1)
 			stDescription = Replace(stDescription, Chr(intRSSLoopCounter), "&#" & Trim(intRSSLoopCounter) & ";", 1, -1, 1)
		Next

%>
  <item>
   <title><% = strSubject %></title>
   <link><% = strWebsiteAddress & "rss_view_newsletter.asp?article=" & lngNewsletterID %></link>
   <description>
    <![CDATA[<% = stDescription %>]]>
   </description>
   <pubDate><% = RssDateFormat(dtmNewsletterDate, strTimeZone) %></pubDate>
   <guid isPermaLink="true"><% = strWebsiteAddress & "newsletter.asp?article=" & lngNewsletterID %></guid>
   <WebWizNewsPad:pubDateISO><% = internationalDateTime(dtmNewsletterDate) %></WebWizNewsPad:pubDateISO>
  </item> <%

  		'Increment the record position
  		intCurrentRecord = intCurrentRecord + 1

  	Loop

End If

%>
 </channel>
</rss>