<% Option Explicit %>
<!--#include file="common.asp" -->
<!--#include file="functions/webwizforums_database_connection.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz Rich NewsPad(TM)
'**  http://www.richtexteditor.org
'**                                               
'**  Copyright 2001-2007 Web Wiz(TM). All Rights Reserved.    
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 


'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'**************************************************************************************** 



'Set the response buffer to false as we may need to puase while the e-mails are being sent
Response.Buffer = True


'Check user is allowed
Call adminUser()



'Do not cache
Response.Clear 
Response.Expires = -1
Response.ExpiresAbsolute = Now() - 2
Response.CacheControl = "No-Store"
Response.AddHeader "pragma","no-cache"
Response.AddHeader "cache-control","private"



'Dimension variables
Dim lngNewsletterID


	
'Read in the newsletter ID
lngNewsletterID = CLng(Request.Form("ID"))
	
'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT " & strDbTable & "Newsletter.* "  & _
	"FROM " & strDbTable & "Newsletter " & _
	"WHERE " & strDbTable & "Newsletter.Newsletter_ID = " & lngNewsletterID & ";"

'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
rsCommon.CursorType = 2

'Set the Lock Type for the records so that the record set is only locked when it is updated
rsCommon.LockType = 3


'Set error trapping
On Error Resume Next
		
'Query the database
rsCommon.Open strSQL, adoCon
	
'If an error has occurred write an error to the page
If Err.Number <> 0 Then	Call errorMsg("An error has occurred while executing SQL query on database.", "get_newsletter_data", "admin_reset_newsletter.asp")
	
'Disable error trapping
On Error goto 0


'If there is a record return reset the sending details for the newsletter
If NOT rsCommon.EOF Then
		
	'Update the recordset	
	rsCommon.Fields("Email_sent") = 0
	rsCommon.Fields("Email_Errors") = 0
	rsCommon.Fields("Mail_ID") = 0
	rsCommon.Fields("Web_Wiz_Forums_ID") = 0
	rsCommon.Fields("Complete_Mail") = strDBFalse
	rsCommon.Fields("Complete_Forum") = strDBFalse
							
	'Update the database
	rsCommon.Update
End If

	
'Close rs
rsCommon.Close
Call closeDatabase()

'Go back to the newsletter details page
Response.Redirect("admin_newsletter_details.asp?ID=" & lngNewsletterID)
%>