<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 


'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************



'Set the response buffer to true
Response.Buffer = True 


'Check user is allowed
Call adminUser()


Dim strSubject		'Holds the subject
Dim strEmailBody	'Holds the email body
Dim strTemplateNote	'Holds the template note
Dim strType		'Holds the type of save
Dim blnHTMLFormat	'set to true if HTML
Dim lngEditMessageID	'This is the edit id
Dim strEndUserMessage


'Initialise variables
lngEditMessageID = 0
strEndUserMessage = "An Error has occured your submission has not been saved."



'Read in the form details
strSubject = Request.Form("subject")
strEmailBody = Request.Form("message")
strTemplateNote = Request.Form("tempNote")
blnHTMLFormat = CBool(Request.Form("HTML"))
strType = Request.Form("T")
lngEditMessageID = CInt(Request.Form("ID"))



'If this an email template save or update
If strType = "TemplateEdit" OR strType = "Template" Then
	
	'Initalise the strSQL variable with an SQL statement to query the database
	strSQL = "SELECT " & strDbTable & "Template.* "  & _
	"FROM " & strDbTable & "Template "
	If lngEditMessageID > 0 Then
		strSQL = strSQL & "WHERE " & strDbTable & "Template.Temp_ID= " & lngEditMessageID & ";"
	End If
	
	'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
	rsCommon.CursorType = 2
	
	'Set the Lock Type for the records so that the record set is only locked when it is updated
	rsCommon.LockType = 3
		
	'Query the database
	rsCommon.Open strSQL, adoCon
	
		
	'If this is a new record then let the recordset know
	If lngEditMessageID = 0 Then rsCommon.AddNew
		
	'Update the recordset	
	rsCommon.Fields("Template_name") = strSubject
	rsCommon.Fields("Template_note") = strTemplateNote
	rsCommon.Fields("Template") = strEmailBody
	rsCommon.Fields("HTML") = blnHTMLFormat
							
	'Update the database
	rsCommon.Update
	
	strEndUserMessage = "Your Template has been saved."
	
End If




'If this an email save or update
If strType = "Newsletter" OR strType = "NewsletterEdit" Then
	
	'Initalise the strSQL variable with an SQL statement to query the database
	strSQL = "SELECT " & strDbTable & "Newsletter.* "  & _
	"FROM " & strDbTable & "Newsletter "
	If lngEditMessageID > 0 Then
		strSQL = strSQL & "WHERE " & strDbTable & "Newsletter.Newsletter_ID = " & lngEditMessageID & " "
	End If
	strSQL = strSQL &  "ORDER BY " & strDbTable & "Newsletter.Newsletter_ID DESC;"
	
	'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
	rsCommon.CursorType = 2
	
	'Set the Lock Type for the records so that the record set is only locked when it is updated
	rsCommon.LockType = 3
	
	'Query the database
	rsCommon.Open strSQL, adoCon
	

	'If this is a new record then let the recordset know
	If lngEditMessageID = 0 Then rsCommon.AddNew
		
	'Update the recordset	
	rsCommon.Fields("Newsletter_subject") = strSubject
	rsCommon.Fields("Newsletter") = strEmailBody
	rsCommon.Fields("HTML") = blnHTMLFormat
	
	'Intilise the follwoing fields on new entries
	If lngEditMessageID = 0 Then
		rsCommon.Fields("Newsletter_date") = internationalDateTime(Now())
		rsCommon.Fields("Description") = ""
		rsCommon.Fields("RSS_views") = 0
		rsCommon.Fields("Email_sent") = 0
		rsCommon.Fields("Email_read") = 0
		rsCommon.Fields("Email_Errors") = 0
		rsCommon.Fields("Mail_ID") = 0
		rsCommon.Fields("Web_Wiz_Forums_ID") = 0
		rsCommon.Fields("Complete_Mail") = strDBFalse
		rsCommon.Fields("Complete_Forum") = strDBFalse
	End If
							
	'Update the database
	rsCommon.Update
	
	'If not an edit get the new newsltter ID
	If lngEditMessageID = 0 Then
		'Requery database to get the ID of this new newsletter
		rsCommon.ReQuery
		
		'Get the new newsletter Id from the datbase
		lngEditMessageID = rsCommon("Newsletter_ID")
	End If
	
	'Reset Server Objects
	Call closeDatabase()
	
	'Use a 301 error so browser doesn't repost to this page
	Response.Status = "301 Moved Permanently"
	Response.AddHeader "Location", "admin_newsletter_details.asp?ID=" & lngEditMessageID 
	Response.End
	
End If






'If this an welcome email update
If strType = "Welcome"  Then
	
	'Initalise the strSQL variable with an SQL statement to query the database
	strSQL = "SELECT " & strDbTable & "Configuration.Welcome_email_subject, " & strDbTable & "Configuration.Welcome_email_HTML, " & strDbTable & "Configuration.Welcome_email_text "  & _
	"FROM " & strDbTable & "Configuration "
	
	'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
	rsCommon.CursorType = 2
	
	'Set the Lock Type for the records so that the record set is only locked when it is updated
	rsCommon.LockType = 3
		
	'Query the database
	rsCommon.Open strSQL, adoCon
	
		
	'Update the recordset	
	rsCommon.Fields("Welcome_email_subject") = strSubject
	'If this is HTML format then update the HTML feild
	If blnHTMLFormat Then
		rsCommon.Fields("Welcome_email_HTML") = strEmailBody
	Else
		rsCommon.Fields("Welcome_email_text") = strEmailBody
	End If
							
	'Update the database
	rsCommon.Update
	
	strEndUserMessage = "Your Welcome Email has been saved."
	
End If


'Reset Server Objects
Call closeDatabase()

%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<!--#include file="includes/browser_page_encoding_inc.asp" -->
<title>Save Welcome Email</title>

<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write("<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewsletter.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->")
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>
		
<link href="<% = strCSSfile %>default_style.css" rel="stylesheet" type="text/css" />
</head>
<body>
<!-- #include file="includes/admin_header_inc.asp" -->
<h1>Submission Saved</h1>
 <a href="admin_menu.asp" target="_self">Return to the the Admin Control Panel Menu</a><br />
  <br />
  <br />
  <br />
  <br /><span class="lgText"><% = strEndUserMessage %></span>
  <br />
  <br />
<br />
<!-- #include file="includes/admin_footer_inc.asp" -->