<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************

'Set the response buffer to true
Response.Buffer = True 


'Check user is allowed
Call adminUser()


'Dimension variables
Dim lngTempID		'Holds templete ID
Dim strTemplateName	'Holds template name
Dim strTemplateNote	'Holds template note
Dim blnHTMLFormat	'Holds template format
Dim sarryNewsletter
Dim intTotalRecords
Dim intTotalRecordsPages
Dim intStartPosition
Dim intEndPosition
Dim intCurrentRecord
Dim intRecordPositionPageNum
Dim intRecordsPerPage
Dim intPageLinkLoopCounter
Dim intFilter


'Number of records per page
intRecordsPerPage = 10

intFilter = 0


'If this is the first time the page is displayed then the Forum Topic record position is set to page 1
If isNumeric(Request.QueryString("PN")) = false Then
	intRecordPositionPageNum = 1
ElseIf Request.QueryString("PN") < 1 Then
	intRecordPositionPageNum = 1
'Else the page has been displayed before so the Forum Topic record postion is set to the Record Position number
Else
	intRecordPositionPageNum = CInt(Request.QueryString("PN"))
End If



'Get what date to show topics till from querystring
If isNumeric(Request.QueryString("Filter")) AND Request.QueryString("Filter") <> "" Then intFilter = CInt(Request.QueryString("Filter"))





'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT " & strDbTable & "Template.Temp_ID, " & strDbTable & "Template.Template_name, " & strDbTable & "Template.Template_note, " & strDbTable & "Template.HTML " & _
	"From " & strDbTable & "Template  "

'If there is a filter add that to the sql query
If intFilter = 1 Then
	strSQL = strSQL & "WHERE " & strDbTable & "Template.HTML = " & strDBTrue & " "
ElseIf intFilter = 2 Then
	strSQL = strSQL & "WHERE " & strDbTable & "Template.HTML = " & strDBFalse & " "
End If

strSQL = strSQL & "ORDER BY " & strDbTable & "Template.Template_name ASC, " & strDbTable & "Template.HTML ASC;"

	
'SQL Query Array Look Up table
'0 = Temp_ID
'1 = Template_name
'2 = Template_note
'3 = HTML

	
'Set error trapping
On Error Resume Next

'Query the database
rsCommon.Open strSQL, adoCon

'If an error has occurred write an error to the page
If Err.Number <> 0 Then	Call errorMsg("An error has occurred while executing SQL query on database.", "get_template_data", "admin_template.asp")

'Disable error trapping
On Error goto 0

'If records returned read them into an array
If NOT rsCommon.EOF Then
	
	
	'Read in the newsletter recordset into an array
	sarryNewsletter = rsCommon.GetRows()

	'Count the number of records
	intTotalRecords = Ubound(sarryNewsletter,2) + 1

	'Count the number of pages for the topics using FIX so that we get the whole number and  not any fractions
	intTotalRecordsPages = FIX(intTotalRecords / intRecordsPerPage)

	'If there is a remainder or the result is 0 then add 1 to the total num of pages
	If intTotalRecords Mod intRecordsPerPage > 0 OR intTotalRecordsPages = 0 Then intTotalRecordsPages = intTotalRecordsPages + 1

	'Start position
	intStartPosition = ((intRecordPositionPageNum - 1) * intRecordsPerPage)

	'End Position
	intEndPosition = intStartPosition + intRecordsPerPage

	'Get the start position
	intCurrentRecord = intStartPosition
End If



'Clean up
Call closeDatabase()


%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<!--#include file="includes/browser_page_encoding_inc.asp" -->
<title>Newsletter Templates</title>
<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write("<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->")
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>

<script language="JavaScript">
function filterJS(Show){
   	strShow = escape(Show.options[Show.selectedIndex].value);
   	if (Show != '') self.location.href = 'admin_template.asp?PN=<% = intRecordPositionPageNum %>&Filter=' + strShow;
	return true;
}
</script>
<script language="JavaScript" src="includes/default_javascript.js"></script>
<link href="<% = strCSSfile %>default_style.css" rel="stylesheet" type="text/css">
</head>
<body>
<!-- #include file="includes/admin_header_inc.asp" -->
<h1>Newsletter Templates</h1>
<a href="admin_menu.asp" target="_self">Return to the the Admin Control Panel Menu</a><br />
 <br />
 From here you can edit or delete any Newsletter Templates that you have created.<br />
 <br />
 <table class="basicTable" cellspacing="1" cellpadding="3" align="center">
 <tr>
  <td width="50%">Filter
   <select name="show" id="show" onChange="filterJS(this)">
    <option value="0"<% If intFilter = 0 Then Response.Write " selected" %>>All Formats</option>
    <option value="1"<% If intFilter = 1 Then Response.Write " selected" %>>HTML Format</option>
    <option value="2"<% If intFilter = 2 Then Response.Write " selected" %>>Text Format</option>
   </select>
  </td>
  <td width="50%" align="right"><%

'If there is more than one page display links to the others
If intTotalRecordsPages > 1 Then
	
	
	'Display a prev link if previous pages are available
	If intRecordPositionPageNum > 1 Then Response.Write("<a href=""admin_template.asp?PN=" & intRecordPositionPageNum - 1 & """>&lt;&lt&nbsp;Previous</a>&nbsp;")
		
	Response.Write ("Page&nbsp;<select onChange=""linkURL(this)"" name=""pageJump"" id=""pageJump"">")

	'Loop round to display links to all the other pages
	For intPageLinkLoopCounter = 1 to intTotalRecordsPages

		'Display a link in the link list to the another topic page
		Response.Write (vbCrLf & "     <option value=""admin_template.asp?PN=" & intPageLinkLoopCounter & """")

		'If this page number to display is the same as the page being displayed then make sure it's selected
		If intPageLinkLoopCounter = intRecordPositionPageNum Then
			Response.Write (" selected")
		End If

		'Display the link page number
		Response.Write (">" & intPageLinkLoopCounter & "</option>")

	Next

	'End the drop down list
	Response.Write (vbCrLf & "   </select>&nbsp;Of&nbsp;" & intTotalRecordsPages)
	
	'Display a next link if needed
	If intRecordPositionPageNum <> intTotalRecordsPages Then Response.Write("&nbsp;<a href=""admin_template.asp?PN=" & intRecordPositionPageNum + 1 & """>Next&nbsp;&gt;&gt;</a>")
		

End If

%>
   </td>
 </tr>
</table>
 <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableBorder">
  <tr>
   <td width="76%" class="tableLedger">Newsletter Template </td>
   <td width="6%" align="center" class="tableLedger">Format</td>
   <td width="6%" align="center" class="tableLedger">Delete</td>
   <td width="6%" align="center" class="tableLedger">View</td>
   <td width="6%" align="center" class="tableLedger">Edit</td>
  </tr><%


'If there are no topics to display, show a message saying so
If intTotalRecords <= 0 Then

	'If there are no Topic's to display then display the appropriate error message
	Response.Write vbCrLf & "  <tr class=""tableRow""><td colspan=""5"" align=""center""><br />There are no Templates to display<br /><br /></td></tr>"

'Else there the are topic's so write the HTML to display the topic names and a discription
Else

	'Do....While Loop to loop through the recorset to display the forum topics
	Do While intCurrentRecord < intEndPosition

		'If there are no topic records left to display then exit loop
		If intCurrentRecord >= intTotalRecords Then Exit Do
			
			'SQL Query Array Look Up table
			'0 = Temp_ID
			'1 = Template_name
			'2 = Template_note
			'3 = HTML
			
%>		
  <tr>
   <td class="tableRow"><strong><% = sarryNewsletter(1,intCurrentRecord) %></strong><br /><% = sarryNewsletter(2,intCurrentRecord) %></td>
   <td align="center" class="tableRow"><% If CBool(sarryNewsletter(3,intCurrentRecord)) Then Response.Write("HTML") Else Response.Write("Text") %></td>
   <td align="center" class="tableRow"><a href="admin_delete_template.asp?ID=<% = sarryNewsletter(0,intCurrentRecord) %>&PN=<% = intRecordPositionPageNum %>" onclick="return confirm('Are you sure you want to Delete this Template?\n\nWARNING: Deleting this Template will permanently remove this item!')"><img src="<% = strImagePath %>delete_icon.png" border="0" alt="Delete Template" title="Delete Template" /></a></td>
   <td align="center" class="tableRow"><a href="admin_view_template.asp?TID=<% = sarryNewsletter(0,intCurrentRecord) %>"><img src="<% = strImagePath %>go.png" border="0" alt="View Template" title="View Template" align="absmiddle" /></a></td>
   <td align="center" class="tableRow"><a href="admin_email_editor.asp?TID=<% = sarryNewsletter(0,intCurrentRecord) %>"><img src="<% = strImagePath %>edit_icon.png" border="0" alt="Edit Template" title="Edit Template" align="absmiddle" /></a></td>
  </tr><%

		'Move to the next record
		intCurrentRecord = intCurrentRecord + 1
	Loop
End If


        %>
 </table>
 <table class="basicTable" cellspacing="1" cellpadding="3" align="center">
  <tr>
   <td align="right"><%

'If there is more than one page display links to the others
If intTotalRecordsPages > 1 Then
	
	
	'Display a prev link if previous pages are available
	If intRecordPositionPageNum > 1 Then Response.Write("<a href=""admin_template.asp?PN=" & intRecordPositionPageNum - 1 & """>&lt;&lt&nbsp;Previous</a>&nbsp;")
		
	Response.Write ("Page&nbsp;<select onChange=""linkURL(this)"" name=""pageJump"" id=""pageJump"">")

	'Loop round to display links to all the other pages
	For intPageLinkLoopCounter = 1 to intTotalRecordsPages

		'Display a link in the link list to the another topic page
		Response.Write (vbCrLf & "     <option value=""admin_template.asp?PN=" & intPageLinkLoopCounter & """")

		'If this page number to display is the same as the page being displayed then make sure it's selected
		If intPageLinkLoopCounter = intRecordPositionPageNum Then
			Response.Write (" selected")
		End If

		'Display the link page number
		Response.Write (">" & intPageLinkLoopCounter & "</option>")

	Next

	'End the drop down list
	Response.Write (vbCrLf & "   </select>&nbsp;Of&nbsp;" & intTotalRecordsPages)
	
	'Display a next link if needed
	If intRecordPositionPageNum <> intTotalRecordsPages Then Response.Write("&nbsp;<a href=""admin_template.asp?PN=" & intRecordPositionPageNum + 1 & """>Next&nbsp;&gt;&gt;</a>")
		

End If

%>   </td>
   </tr>
 </table>
 <br />
<!-- #include file="includes/admin_footer_inc.asp" -->