<% @ Language=VBScript %>
<% Option Explicit %>
<!--#include file="common.asp" -->
<!--#include file="functions/functions_send_mail.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 


Response.Buffer = True 



'Check user is allowed
Call adminUser()

'Reset Server Objects
Call closeDatabase()


Dim adoWebWizForumsCon	'Holds the database connection object
Dim strIebWizForumsCon	'Holds the database connection string
Dim strUserMessage	'Holds an error message if something goes wrong
Dim blnError



'Read in the details from the form	
blnWebWizForums = CBool(Request.Form("enable"))
strWebWizForumsDbType = Request.Form("dbType")
strWebWizForumsDbPath = Request.Form("location")
blnWebWizForumsDbPhyPath = CBool(Request.Form("locType"))
strWebWizForumsDbServer = Request.Form("dbServerIP")
strWebWizForumsDbName = Request.Form("dbName")
strWebWizForumsDbUser = Request.Form("username")
strWebWizForumsDbPass = Request.Form("password")
strWebWizForumsDbTablePrefix = Request.Form("prefix")

strUserMessage = "The database connection was sucessful"
blnError = False


'If this is an access database then setup the database connection
If strWebWizForumsDbType = "access" Then
	
	'If this is a path from the application to the database use the mapPath method
	If blnWebWizForumsDbPhyPath = False Then strWebWizForumsDbPath = Server.MapPath(strWebWizForumsDbPath)   
	
	
	'If a username and password are required then pass them across (uses slower generic db access driver
	If strWebWizForumsDbUser <> "" OR strWebWizForumsDbPass <> "" Then
	
		strIebWizForumsCon = "DRIVER={Microsoft Access Driver (*.mdb)};uid=" & strWebWizForumsDbUser & ";pwd=" & strWebWizForumsDbPass & "; DBQ=" & strWebWizForumsDbPath & "/" & strWebWizForumsDbName
	
	'Else use the jet 4 driver
	Else
		strIebWizForumsCon = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=" & strWebWizForumsDbPath & "/" & strWebWizForumsDbName
	End If


'Else if this is MS SQL server then setup db connection string
ElseIf strWebWizForumsDbType = "SQLServer" Then 

	'MS SQL Server OLE Driver
	strIebWizForumsCon = "Provider=SQLOLEDB;Server=" & strWebWizForumsDbServer & ";User ID=" & strWebWizForumsDbUser & ";Password=" & strWebWizForumsDbPass & ";Database=" & strWebWizForumsDbName & ";"

'Else if this is mySQL then setup db connection string
ElseIf strWebWizForumsDbType = "mySQL" Then 

	'My SQL ODBC Driver
	strIebWizForumsCon = "Driver={mySQL};Server=" & strWebWizForumsDbServer & ";Port=3306;Option=4;Database=" & strWebWizForumsDbName & ";Uid=" & strWebWizForumsDbUser & ";Pwd=" & strWebWizForumsDbPass & ";"
End If



'Set error trapping
On Error Resume Next

'Create a connection odject
Set adoWebWizForumsCon = Server.CreateObject("ADODB.Connection")

'Setup db connection
adoWebWizForumsCon.connectionstring = strIebWizForumsCon

'Set an active connection to the Connection object
adoWebWizForumsCon.Open


'If an error has occurred write an error to the page
If Err.Number <> 0 Then 
	strUserMessage = "An error has occurred connecting to the Web Wiz Forums database.<br /><br />Please check your settings and try again." & _
		"<br /><br /><strong>Error details:-</strong>" & _
		"<br />" & Err.Source & _
		"<br />" & Err.Description & "<br /><br />"
	
	'Set the error boolean to true	
	blnError = True

End If

'Disable error trapping
On Error goto 0



'Now check we can open the table tblAuthor
If blnError = False Then
	
	'Set up the SQL 
	strSQL = "SELECT " & strWebWizForumsDbTablePrefix & "Author.* " & _
		"FROM " & strWebWizForumsDbTablePrefix & "Author " & _
		"WHERE " & strWebWizForumsDbTablePrefix & "Author.Author_ID = 1;"
						
	
	'Set error trapping
	On Error Resume Next
	
	'Excute the SQL to see if it has worked
	adoWebWizForumsCon.Execute(strSQL)
	
	'If an error has occurred write an error to the page
	If Err.Number <> 0 Then 
		strUserMessage = "A connection to the database has been established but an error has occurred while attempting to open the database table.<br /><br />Please check you are connecting to a Web Wiz Forums database, and that the table prefix is correct." & _
			"<br /><br /><strong>Error details:-</strong>" & _
			"<br />" & Err.Source & _
			"<br />" & Err.Description & "<br /><br />"
	
	End If
	
	'Disable error trapping
	On Error goto 0
End If

'Relase server object
Set adoWebWizForumsCon = Nothing

%>
<!-- #include file="includes/browser_page_encoding_inc.asp" -->
<title>Web Wiz Forums Database Connection Test</title>
<meta name="generator" content="Web Wiz NewsPad" />
<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write("<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->")
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>
<link href="<% = strCSSfile %>default_style.css" rel="stylesheet" type="text/css" />
</head>
<body OnLoad="self.focus();">
<table class="basicTable" cellspacing="0" cellpadding="3" align="center">
  <tr>
    <td align="center"><h1>Web Wiz Forums Database Connection Test</h1></td>
  </tr>
</table>
<br />
<table cellspacing="1" cellpadding="3" class="tableBorder" align="center" width="350">
    <tr class="tableLedger">
      <td colspan="2">Test Database Connection </td>
    <tr class="tableRow">
      <td align="left" colspan="2"><br />
      <strong>The database conbnection has been tested. </strong>
      <br />
      <br /><% = strUserMessage %>
      <br /><br /></td>
  </tr>
</table>
<br />
<table class="basicTable" cellspacing="0" cellpadding="3" align="center">
  <tr>
    <td align="center"><input type="button" name="ok" onClick="javascript:window.close();" value="Close Window"><br />
      <br /><% 
    
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
If blnLCode = True Then
	Response.Write("<span class=""smText"">Software by <a href=""http://www.webwiznewspad.com"" target=""_blank"" class=""smLink"">Web Wiz NewsPad</a> version " & strVersion & "</span>")
	Response.Write("<br /><span class=""smText"">Copyright &copy;2001-2007 <a href=""http://www.webwizguide.com"" target=""_blank"" class=""smLink"">Web Wiz</a></span>")
End If 
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******

%>
    </td>
  </tr>
</table>
</body>
</html>
