<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************



'Set the response buffer to true as we maybe redirecting
Response.Buffer = True 



'see if the web front end is active
Call WebFrontEnd()



'Dimension variables
Dim lngNewsletterID		'Holds saved newsletter ID
Dim strNewsletterSubject	'Holds saved newsletter Subject
Dim blnDisplay			'Set to true if displayed to public
Dim blnHTMLFormat		'Set to true if in HTML format
Dim sarryNewsletter		'Array to hold newsltter recordset	
Dim strUserID 			'Holds the users ID
Dim strNewsletter



'Intilise variables
strNewsletterSubject = strTxtError
blnDisplay = False


'Get the newsletter ID to be displayed
If isNumeric(Request.QueryString("article")) = false Then
	lngNewsletterID = 0
Else
	lngNewsletterID = CInt(Request.QueryString("article"))
End If



'Read in the users ID code
strUserID = Trim(Mid(Request.Cookies(strCookieName)("UID"), 1, 33)) 

'Clean up the USER ID address getting rid of unwanted characters
strUserID = IDcharacterStrip(strUserID)




'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT " & strDbTable & "Newsletter.Newsletter_ID, " & strDbTable & "Newsletter.Newsletter_subject, " & strDbTable & "Newsletter.Newsletter_date, " & strDbTable & "Newsletter.Newsletter, " & strDbTable & "Newsletter.Author, " & strDbTable & "Newsletter.Private, " & strDbTable & "Newsletter.Web_views, " & strDbTable & "Newsletter.HTML " & _
	"From " & strDbTable & "Newsletter  " & _
	"WHERE " & strDbTable & "Newsletter.Newsletter_ID = " & lngNewsletterID & ";"

'SQL Query Array Look Up table
'0 = Newsletter_ID
'1 = Newsletter_subject
'2 = Newsletter_date
'3 = Newsletter
'4 = Author
'5 = Private
'6 = Web_views
'7 = HTML

	
'Set error trapping
On Error Resume Next

'Query the database
rsCommon.Open strSQL, adoCon

'If an error has occurred write an error to the page
If Err.Number <> 0 Then	Call errorMsg("An error has occurred while executing SQL query on database.", "get_newsletter_data", "newsletter.asp")

'Disable error trapping
On Error goto 0

'If records returned read them into an array
If NOT rsCommon.EOF Then

	'Read in the newsletter recordset into an array
	sarryNewsletter = rsCommon.GetRows()
	
	'Read in the subject
	strNewsletterSubject = sarryNewsletter(1,0)
	
	'Read in the news letter
	strNewsletter = sarryNewsletter(3,0)
	
	'If this a paln text news letter use pre around it
	If CBool( sarryNewsletter(7,0)) = false Then strNewsletter = "<pre>" & strNewsletter & "</pre>"
	
	'Set to display newsletter
	blnDisplay = True
End If


'Clean up
rsCommon.Close




'See if the user is allowed to view the newsletter and if logged in update any newsletter codes
If isArray(sarryNewsletter) Then
		
	'Read in the users ID code
	strUserID = Trim(Mid(Request.Cookies(strCookieName)("UID"), 1, 33)) 
	
	'Clean up the USER ID address getting rid of unwanted characters
	strUserID = IDcharacterStrip(strUserID)
	
	
	'Get the users details from the database
	If strUserID <> "" Then
		
		'Initalise the strSQL variable with an SQL statement to query the database
		strSQL = "SELECT " & strDbTable & "Members.* " & _
		"FROM " & strDbTable & "Members " & _
		"WHERE " & strDbTable & "Members.ID_Code = '" & strUserID & "';"
		
		'Query the database
		rsCommon.Open strSQL, adoCon
		
		'If a record is not returned then the user is not a subscriber
		If NOT rsCommon.EOF Then 
			
			'If the user is not active don't let 'em see the news letter
			If CBool(rsCommon("Active")) = False AND CBool(sarryNewsletter(5,0)) Then blnDisplay = False
				
				
			'Replace code with the user details
			strNewsletterSubject = Replace(strNewsletterSubject, "#name#", rsCommon("Name"), 1, -1, 1)
			strNewsletter = Replace(strNewsletter, "#name#", rsCommon("Name"), 1, -1, 1)
			strNewsletter = Replace(strNewsletter, "#email#", rsCommon("Email"), 1, -1, 1)
			If isNull(rsCommon("Company")) Then strNewsletter = Replace(strNewsletter, "#company#", " ", 1, -1, 1) Else strNewsletter = Replace(strNewsletter, "#company#", rsCommon("Company"), 1, -1, 1)
			If isNull(rsCommon("Address1")) Then strNewsletter = Replace(strNewsletter, "#address1#", " ", 1, -1, 1) Else strNewsletter = Replace(strNewsletter, "#address1#", rsCommon("Address1"), 1, -1, 1)
			If isNull(rsCommon("Address2")) Then strNewsletter = Replace(strNewsletter, "#address2#", " ", 1, -1, 1) Else strNewsletter = Replace(strNewsletter, "#address2#", rsCommon("Address2"), 1, -1, 1)
			If isNull(rsCommon("City")) Then strNewsletter = Replace(strNewsletter, "#town#", " ", 1, -1, 1) Else strNewsletter = Replace(strNewsletter, "#town#", rsCommon("City"), 1, -1, 1)
			If isNull(rsCommon("State")) Then strNewsletter = Replace(strNewsletter, "#state#", " ", 1, -1, 1) Else strNewsletter = Replace(strNewsletter, "#state#", rsCommon("State"), 1, -1, 1)
			If isNull(rsCommon("Country")) Then strNewsletter = Replace(strNewsletter, "#country#", " ", 1, -1, 1) Else strNewsletter = Replace(strNewsletter, "#country#", rsCommon("Country"), 1, -1, 1)
			If isNull(rsCommon("Postcode")) Then strNewsletter = Replace(strNewsletter, "#zip#", " ", 1, -1, 1) Else strNewsletter = Replace(strNewsletter, "#zip#", rsCommon("Postcode"), 1, -1, 1)
			
			
		
		'Else no record found so set display to false
		Else
			blnDisplay = False
		End If
		
		'Close db
		rsCommon.Close
	
	'Else the user is not logged in so set the private email to not be displayed (if private email)
	ElseIf CBool(sarryNewsletter(5,0)) Then
	
		blnDisplay = False
	End If
End If


'If this newsletter is being viewed then update the number of hits the newsletter has received
If blnDisplay Then
	
	strSQL = "UPDATE " & strDbTable & "Newsletter " & strRowLock & " " & _
	"SET " & strDbTable & "Newsletter.Web_views = " & CLng(sarryNewsletter(6,0)) + 1 & " " & _
	"WHERE (" & strDbTable & "Newsletter.Newsletter_ID = "  & lngNewsletterID & ");"
								
	'Write to database
	adoCon.Execute(strSQL)
	
	
End If


%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="copyright" content="Copyright (C) 2001-2007 Web Wiz" />
<title><% = strNewsletterSubject %></title>
<!--#include file="includes/browser_page_encoding_inc.asp" -->

<%
'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
Response.Write(vbCrLf & vbCrLf & "<!--//" & _
vbCrLf & "/* *******************************************************" & _
vbCrLf & "Software: Web Wiz NewsPad(TM) ver. " & strVersion & "" & _
vbCrLf & "Info: http://www.webwiznewspad.com" & _
vbCrLf & "Copyright: (C)2001-2007 Web Wiz(TM). All rights reserved" & _
vbCrLf & "******************************************************* */" & _
vbCrLf & "//-->" & vbCrLf)
'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
%>

<script language="JavaScript" src="includes/default_javascript.js"></script>
<!-- #include file="includes/header.asp" -->
<div align="center">
 <h1>
  <% = strNewsletterSubject %>
 </h1>
</div>
<br />
<!-- #include file="includes/page_layout_header_inc.asp" --><%

'If there is no newsletter or not public tell the user
If blnDisplay = False OR isArray(sarryNewsletter) = false Then

%>
   <table class="errorTable" cellspacing="1" cellpadding="3">
    <tr>
     <td><img src="<% = strImagePath %>error.png" alt="<% = strTxtError %>" align="absmiddle" /> <strong><% = strTxtError %></strong></td>
    </tr>
    <tr>
     <td><br />
    <%
      
	If isArray(sarryNewsletter) = false Then
		Response.Write(strTxtThereIsNoNewsletterToDisplay & ".<br /><br /><a href=""default.asp"">" & strTxtReturnTo & " " & strWebsiteName & " " & strTxtHome & "</a>")
	ElseIf blnDisplay = False Then
		Response.Write(strTxtThisNewsletterIsPrivate & ".<br /><br /><a href=""sign_up.asp"">" & strTxtClickToSubscribe & "</a>")
	End If
%>
   </td>
    </tr>
   </table>
   <br /><%

Else
	'***** START WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******
	If blnACode Then
		Response.Write("<div align=""center"">" & strSponsor1 & "</div><br />")
	ElseIf strMyGoogleAdSenseID <> "pub-9026955576675812" Then
		Response.Write("<div align=""center"">" & strAdSenseCodeHeader & "</div><br />")
	End If
	'***** END WARNING - REMOVAL OR MODIFICATION OF THIS CODE WILL VIOLATE THE LICENSE AGREEMENT ******

%>
   <table cellpadding="3" cellspacing="1" class="tableBorder" style="width: 100%; table-layout: fixed;">
    <%

			
	'SQL Query Array Look Up table
	'0 = Newsletter_ID
	'1 = Newsletter_subject
	'2 = Newsletter_date
	'3 = Newsletter
	'4 = Author
	'5 = Private
	'6 = Web_views
	'7 = HTML
			
%>
    <tr class="tableRow">
     <td class="text"><h1><% = strNewsletterSubject %></h1>
      <em>
      <% If sarryNewsletter(4,0) <> "" Then Response.Write("By " & sarryNewsletter(4,0) & " - ") %>
      <% = FormatDateTime(sarryNewsletter(2,0), vbLongDate) %></em> <br />
      <br />
      <div class="msgBody" style="float:left; overflow:auto;">
       <% = strNewsletter %>
      </div>
     </td>
    </tr>
   </table><%

		
End If


        %>
  
<!-- #include file="includes/page_layout_footer_inc.asp" -->
<!--#include file="includes/footer.asp" --><%
   
'Clean up  
Call closeDatabase()


%>