<% Option Explicit %>
<!--#include file="common.asp" -->
<%
'****************************************************************************************
'**  Copyright Notice    
'**
'**  Web Wiz NewsPad(TM)
'**  http://www.webwiznewspad.com
'**                                                              
'**  Copyright (C)2001-2007 Web Wiz(TM). All Rights Reserved.     
'**  
'**  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS UNDER LICENSE FROM 'WEB WIZ'.
'**  
'**  IF YOU DO NOT AGREE TO THE LICENSE AGREEMENT THEN 'WEB WIZ' IS UNWILLING TO LICENSE 
'**  THE SOFTWARE TO YOU, AND YOU SHOULD DESTROY ALL COPIES YOU HOLD OF 'WEB WIZ' SOFTWARE
'**  AND DERIVATIVE WORKS IMMEDIATELY.
'**  
'**  If you have not received a copy of the license with this work then a copy of the latest
'**  license contract can be found at:-
'**
'**  http://www.webwizguide.com/license
'**
'**  For more information about this software and for licensing information please contact
'**  'Web Wiz' at the address and website below:-
'**
'**  Web Wiz, Unit 10E, Dawkins Road Industrial Estate, Poole, Dorset, BH15 4JD, England
'**  http://www.webwizguide.com
'**
'**  Removal or modification of this copyright notice will violate the license contract.
'**
'**************************************************************************************** 



'*************************** SOFTWARE AND CODE MODIFICATIONS **************************** 
'**
'** MODIFICATION OF THE FREE EDITIONS OF THIS SOFTWARE IS A VIOLATION OF THE LICENSE  
'** AGREEMENT AND IS STRICTLY PROHIBITED
'**
'** If you wish to modify any part of this software a license must be purchased
'**
'****************************************************************************************



'Set the response buffer to true as we maybe redirecting
Response.Buffer = True 


'Make sure this page is not cached
Response.Expires = -1
Response.ExpiresAbsolute = Now() - 2
Response.AddHeader "pragma","no-cache"
Response.AddHeader "cache-control","private"
Response.CacheControl = "No-Store"



'see if the web front end is active
Call WebFrontEnd()



Dim lngRSSviews	'Holds the number of times this newsletter has been read
Dim lngNewsletterID		'Holds the newsletter ID


'Get the newsletter ID to be displayed
If isNumeric(Request.QueryString("article")) = false Then
	lngNewsletterID = 0
Else
	lngNewsletterID = CInt(Request.QueryString("article"))
End If


'Initalise the strSQL variable with an SQL statement to query the database
strSQL = "SELECT " & strDbTable & "Newsletter.RSS_views " & _
	"From " & strDbTable & "Newsletter, " & strDbTable & "NewsCat  " & _
	"WHERE " & strDbTable & "Newsletter.Newsletter_ID = " & lngNewsletterID & ";"

'Set the cursor type property of the record set to Dynamic so we can navigate through the record set
rsCommon.CursorType = 2
				
'Set the Lock Type for the records so that the record set is only locked when it is updated
rsCommon.LockType = 3
	
'Set error trapping
On Error Resume Next

'Query the database
rsCommon.Open strSQL, adoCon

'If an error has occurred write an error to the page
If Err.Number <> 0 Then	Call errorMsg("An error has occurred while executing SQL query on database.", "update_newsletter_data", "read_stats_update.asp")

'Disable error trapping
On Error goto 0

'If records returned read them into an array
If NOT rsCommon.EOF Then

	'Read in the number of times this newsletter has been read
	lngRSSviews = CLng(rsCommon("RSS_views"))
	
	'Update the recordset
	rsCommon.Fields("RSS_views") = lngRSSviews + 1
	
	'Update the database
	rsCommon.Update
End If


'Clean up
rsCommon.Close
Call closeDatabase()


'Redirect using 301 Moved Permanently header so that search engines do not index this file
Response.Status = "301 Moved Permanently"
Response.AddHeader "Location", "newsletter.asp?article=" & lngNewsletterID
Response.End

%>